===============
Version 51.beta
===============

- Added `SessionIsLocked` and `SessionClass` properties on D-Bus
- Updated mimeapps.list: removed Shaper, since it was split out of GTK into its
  own app
- Fixed regression in screen blanking / idle handling
- Translation updates

================
Version 51.alpha
================

- Enabled use of oo7-portal as the implementation of the Secret portal
- Updated mimeapps.list for removal of gcr3, and expansion of Loupe's supported
  mime types
- Applied various code cleanups from gobject linter
- Fixed a double-free bug
- Translation updates

============
Version 50.0
============

- No changes since 50.rc, just a version number bump and re-release!

=============
Version 50.rc
=============

- Hid availability of session save/restore support. This feature has been postponed to
  a future release of GNOME
- Fixed bug where inhibitors list doesn't update in end-session dialog
- Refactored CanShutdown() to more accurately represent the availability of
  the shutdown action, including API-incompatible changes that allow it to
  report inhibitor status, needs-authentication status, and so on
- Introduced CanReboot(), which enables the rest of the session to hide reboot
  buttons if rebooting isn't actually available
- Introduced CanSuspend() and Suspend(), for putting the system to sleep
- GNOME's logind sleep inhibitor was downgraded from a type='block' to a
  type='block-weak'. This restores the behavior of the inhibitor prior to
  systemd v257
- We now ignore sleep inhibitors when the user manually suspends the system. The
  user will likely need to authenticate before ignoring the inhibitors. Note that
  systemd will, by default, also automatically ignore sleep inhibitors when a
  laptop's lid is closed.
- Translation updates

===============
Version 50.beta
===============

- Updates to mimeapps.list: Incorporated latest changes to Font Viewer, Software,
  and Loupe
- Translation updates

================
Version 50.alpha
================

- Updated documentation to reflect the major changes in GNOME 49
- Fixed bug where gnome-session would fail to reap the processes of the apps
  it launched, leaving around zombie processes
- Fixed option parsing regression in gnome-session-inhibit
- Reworked logic to find DBUS_SESSION_BUS_ADDRESS, which should make gnome-session
  work better in non-systemd environments
- Removed version number from gettext POT name, which should make translations
  easier on services like launchpad.net
- Fixed bug with offline updates that prevented gnome-shell from converting a
  shutdown into a reboot
- Improved safety check that enforces only one active graphical session per user by
  checking for any running graphical session, not just another GNOME session
- Dropped support for running X11 sessions. Note that this dropped all display server
  specific unit files, since the generic gnome-session*.target units are now Wayland-only
- Implemented initial plumbing for session save/restore
- Reworked unit files to adapt to new changes where gnome-shell's unit file takes
  the gnome-shell mode as its argument. This makes it easier for kiosk sessions or
  other special/custom sessions to use gnome-shell modes
- Dropped unused dependencies: json-glib and gtk4
- Updates to mimeapps.list: Added Shaper (new GTK icon editor tool) and fixed bugs
  with GNOME Disk Utility
- Translation Updates

============
Version 49.0
============

- Translation updates
- Fixed build with musl libc
- Fixed some memory corruption bugs that led to gnome-session-init-worker
  crashing on logout
- Fixed a memory leak in gnome-session-init-worker
- Allowed Qt apps to use the Wayland text-input protocol, instead of forcing
  them to use the direct ibus integration plugin

=============
Version 49.rc
=============

- Disabled the org.freedesktop.ScreenSaver proxy service on the login screen
- Separated out the systemd-specific code from the gnome-session leader process
  into a dedicated executable. This makes it easier to integrate distributions
  that use alternative init systems with gnome-session (though note that this
  is still a usecase we don't officially support upstream)
- Translation updates

===============
Version 49.beta
===============

- gnome-session is no longer started via a shell script, and instead all of
  the necessary setup is done in C.
- gnome-session's builtin service manager has been completely removed. Service
  management will now be handled entirely by the operating system's native
  service manager (i.e. systemd). See the following blog post for more information:
  https://blogs.gnome.org/adrianvovk/2025/06/10/gnome-systemd-dependencies
- The "fail whale" dialog has been removed
- Various unused APIs and interfaces were removed, including:
	- The org.gnome.SessionManager.Client and o.g.SM.App D-Bus interfaces
	- Various D-Bus APIs related to the service manager
	- Various .desktop and .session file keys that were used only by the
	  builtin service manager
	- Fallback sessions, since there's no way to fall back anymore
- The code was significantly refactored
- gnome-session now provides a gnome-session-basic-services.target, that sessions
  like the GDM greeter and gnome-initial-setup can use to avoid listing all of
  the basic GNOME session services (like all the gnome-settings-daemon plugins)
- The --autostart command line option was removed, and instead kiosk sessions
  should set Kiosk=true in their session definition file.
- Updated GNOME's mimetype defaults to drop Evince (which was replaced with Papers)
- Translation updates

==================
Version 49.alpha.1
==================

	Fix POTFILES to stop listing deleted files
	Stop requiring the gnome-settings-daemon Wacom plugin, which doesn't exist anymore
	Ensure that we start localsearch when starting a GNOME session via systemd
	Translation updates

==================
Version 49.alpha.0
==================

	Removed XSMP
	Removed session restore functionality
	X11 sessions are disabled by default
	Added a default mimeapps list for GNOME's core apps
	gsd-xsettings now starts on demand in Wayland
	Dropped gnome-dummy session
	Allow Inhibit() with no app ID
	Unset all LC_* variables that are bound to REGION
	Ported fail whale to gtk4
	Dropped session selector GUI
	Dropped the hardware acceleration check
	gnome-session-inhibit: Propagate parent death
	gnome-session-inhibit: Fixup terminal handling

Contributors:
  Benjamin Berg, Alessandro Bono, Matthias Clasen, gnome-build-meta-bot,
  Neal Gompa, Sophie Herold, Javier Jardón, Chris Mayo, Simon McVittie,
  Jordan Petridis, Ray Strode, Joan Torres, Adrian Vovk, Chris Williams

Translators:
  Марко Костић [sr], Aefgh Threenine [th], A S Alam [pa], Baxrom Raxmatov [uz],
  Ekaterine Papava [ka], Martin [sl], Quentin PAGÈS [oc], Vasil Pupkin [be]

============
Version 48.0
============

	The gnome-session script no longer re-runs itself as a subprocess
	GNOME OS CI was ported to use a CI template
	Integrated new CI-based release process
	Fix bugs caused by systemd v257's inhibitor behavior changes
	Make `gnome-session --version` print to stdout rather than syslog
	Translation updates
	README updates

==============
Version 47.0.1
==============
	Add back gnome-session-ctl (oops)

============
Version 47.0
============
	Allow to disable X11 sessions
	CI updates
	Translation updates

============
Version 46.0
============

	README updates
	Translation updates

=============
Version 46.rc
=============

	Fix for race a shutdown with loginctl terminate-user
	Updates for Access portal changes
	Translation updates

================
Version 46.alpha
================

	Make ctrl-c behave better in gnome-session-inhibit
	Advertise support for headless session
	Build goo cleanups
	Copyright header cleanups
	README cleanups
	Translation updates

============
Version 45.0
============

	Two crashers fixes
	Fix inverted boolean in the "null" system backend
	Translation updates

============
Version 44.0
============

	No updates

=============
Version 44.rc
=============

	Code clean ups
	Better handling when dbus-daemon dies
	Improved log output
	Translation updates

============
Version 43.0
============

	Build system improvements
	GError clean up fix
	Translation updates

============
Version 42.0
============

	Give better error when failing to get renderer string
	Fix failure to run sessions for program accounts
	Translation updates

============
Version 40.8
============

	data: Install GNOME on Wayland session for X11 preferred setups
	Don't spew as much into log when falling back to non-systemd sessions
	Work better with certain versions of meson
	Correct screwed up check for gnome-shell
	Various cleanups and leak fixes
	Translation updates

==============
Version 40.1.1
==============

	presence: Fix error detection when syncing initial screensaver state

============
Version 40.1
============

	presence: Do not auto-start the GNOME Shell screensaver service
	util: Unset LC_* variables as they may be unset at login time

============
Version 40.0
============

	util: Remove undesired variables from activation environment

===============
Version 40.beta
===============

	gnome-session: GNOME session will now only block sleep for suspend
		inhibitors and will block shutdown if a logout inhibitor is
		active.
		Previously a suspend inhibitor would prevent both sleep and
		logout. As such, applications may need to be updated and grab
		both a logout and suspend inhibitor.
	data: Re-add OnFailure= to .target units
	util: Disable capturing of subpatterns
	util: Only accept common space characters
	Stop dbus-daemon instead of restarting it
	data: Fix indirect conflict with exit.target via app.slice
	Translations updates

==============
Version 3.38.0
==============
	Build goo updates
	Translations Updates

==============
Version 3.37.0
==============

	util: Unset GNOME_SETUP_DISPLAY at login time
	main: clear environment on shutdown
	gnome-session: avoid setting LC_ unless LANG and region disagree
	data: Add drop-in to configure launched applications
	autostart-app: Place launched applications into a systemd scope
	doc: Add description of important systemd units to man page
	fail-whale-dialog: Make dialog visible in all monitors
	gnome-session-inhibit: Add --list command
	gnome-session-ctl: Add systemd service failure checker
	data: Major changes in systemd configuration
	Translation Updates: Brazilian Portuguese, Catalan, Chinese (Taiwan),
		Czech, Friulian, German, Hebrew, Indonesian, Kazakh, Norwegian Bokmål,
		Polish, Romanian, Slovak, Spanish, Swedish, Turkish, Ukrainian

==============
Version 3.36.0
==============

	data: Require UsbProtection component
	doap: Call this "GNOME Session Manager"
	Translation Updates: Indonesian, Punjabi

==============
Version 3.35.3
==============

	binary: Allow quitting early on SIGTERM/SIGINT
	binary: Log a critical when our SIGTERM/SIGINT handler fails to log out
	Translation updates: Chinese (China), Galician

==============
Version 3.34.2
==============

	autostart-app: Strip blacklisted variables from autostart environment
	data: Ensure shutdown target does not keep units loaded
	data: Make X11 services part of gnome-session-initialized
	data: Remove gnome-session-stable.timer and related units
	data: Remove never used gnome-session-shutdown.service
	doap: Add a description
	manager: Disable session saving on systemd managed sessions
	session-fill: Disable session restoring on systemd
	Translation updates: Chinese (Taiwan), Russian

==============
Version 3.34.1
==============

	* Drop accidentally included `--debug` when launching
	  `gnome-session-binary`
	* Introduce a list of variables to potentially unset in launched
	  sessions
	* Translation updates

==============
Version 3.34.0
==============
	* Translation updates

===============
Version 3.33.92
===============
	* More systemd --user fixes
	* Translation updates

===============
Version 3.33.90
===============
	* Add support to manage the session using the systemd user instance.
	  A new systemd_session build time option is added to enable/disable
	  the support and set it as the default (disable/enable/default).
	  Right now the support is enabled by default. Distributions should
	  be careful to ensure that other components are updated at the same
	  time (gnome-settings-daemon, gnome-shell, gdm) as subtle errors
	  may occur otherwise.
	  If in doubt, only enable the feature and test it by modifying the
	  gnome-session launch script to pass --systemd to
	  gnome-session-binary.
	* Update session definitions to match new gnome-settings-daemon
	* don't show logout button in fail whale when not logged in
	* handle apps exiting abruptly at log out better
	* Translation updates

===============
Version 3.33.4
===============
	* fix warning in log spew with dbus activated services
	* fix idle detection
	* advertize support for GDM's session registration API
	* Translation updates

===============
Version 3.32.0
===============
	* Translation updates

===============
Version 3.31.4
===============
	* Translation updates

===============
Version 3.30.1
===============
	* fix region computation when debugging is enabled
	* Translation updates

===============
Version 3.30.0
===============
	* Fix NEWS file
	* Translation updates

===============
Version 3.29.92
===============
	* Add new RebootToFirmwareSetup API
	* Crash fix when running with nested wayland compositors
	* use full path to binaries in desktop files

==============
Version 3.29.90
==============
	* Drop deprecated environment variable again
	* harden permissions on config dir
	* Translation updates

==============
Version 3.28.0
==============

	* Translation updates

===============
Version 3.27.92
===============

	* Translation updates

===============
Version 3.27.91
===============

	* Translation updates

=================
Version 3.27.90.1
=================

	* Add back deprecated environment variable to fix
	  GNOME on systems that have proxies set up.

===============
Version 3.27.90
===============

	* Session saving fix
	* Remove dropped g-s-d plugin
	* Translation updates

==============
Version 3.27.4
==============

	* GLES fixes
	* Make systemd journal configurable again
	* switch from intltool to gettext
	* Fix wayland session file
	* Translation updates

==============
Version 3.27.3
==============

	* Drop deprecated bits
	* Port to meson
	* Fix crash at shutdown
	* Fix session saving
	* BSD fixes
	* Translation updates

==============
Version 3.26.0
==============

	* Translation updates

===============
Version 3.25.92
===============

	* gnome-session-inhibit fix
	* Translation updates

===============
Version 3.25.90
===============

	* Translation updates

===============
Version 3.25.4
===============

	* restart dbus-daemon instead of killing dbus clients at log out
	* session file updates for latest g-s-d
	* misc memory fixes
	* Translation updates

===============
Version 3.25.3
===============

	* improved error messages with systemd integration
	* fix crash in fail whale if X dies
	* fix warning/crash when iterating over extensions
	* kill dbus clients at logout
	* leverage unicode for clarity and aesthetics
	* BSD support improvements
	* drop old SSH_AUTH_SOCK on wayland workaround
	* Translation updates

===============
Version 3.24.1
===============
	- autogoo degooing
	- race condition fix with startup and owning the dbus name

===============
Version 3.24.0
===============

===============
Version 3.23.92
===============

	* Translation updates

===============
Version 3.23.91
===============

	* Fix VT monitor to work with restrictive SELinux policies
	* Disable extensions in a less destructive way from fail whale
	* Add support for absolute paths to AutostartCondition
	* Translation updates

================
Version 3.23.4.1
================

	* Redo login shell for wayland handling to be more functional and crossplatform

===============
Version 3.23.4
===============

	* Fix warnings at startup in check accelerated helper
	* print the renderer under wayland in check accelerated helper
	* fix gpu info caching logic
	* better error checking
	* don't tell Qt applications to look like GNOME anymore
	* make sure a login shell runs for wayland sessions at startup
	* Translation updates

===============
Version 3.23.2
===============

	* Fix problem when cancelling the power off dialogue
	* Don't set locale information again after the localeexec wrapper already does
	* Update session desktop files for gnome-settings-daemon changes, the big
	  daemon is now split up into smaller daemons

===============
Version 3.22.0
===============
	* Small fix for dash users
	* Translation updates

===============
Version 3.21.90
===============
	* Do not report errors in the absence of dbus-update-activation-environment
	* Support reading kernel gnome.fallback variable on FreeBSD
	* Allow IM environment variables to be overridden
	* Translation updates

==============
Version 3.21.4
==============
	* Export renderer string for llvmpipe
	* Small heap overflow fix
	* Compiler warning fixes
	* misc doc fixes
	* Futureproof gettext support

==============
Version 3.21.3
==============
	* Translation updates

==============
Version 3.21.2
==============

	* Switch back to wayland by default
	* Update bus activation environment at startup
	* Translation updates

==============
Version 3.20.1
==============

	* Fix startx
	* Translation updates

==============
Version 3.20.0
==============

	* Translation updates

===============
Version 3.19.92
===============

	* More logout fixes
	* Switch back to Xorg by default
	* Crasher fix
	* Translation updates

===============
Version 3.19.91
===============

	* Logout fixes
	* Setup Qt to be themed right
	* Use individual dbus watches instead of one one global
	  NameOwnerChanged handler, to avoid spurious wake ups.
	* Translation updates

==============
Version 3.19.4
==============

	* Give every app its own journal id
	* Rework startup files as part of the wayland effort
	* fix command line help output
	* Translation updates

================
Version 3.18.1.1
================

	* Fix typos in environment variable names

==============
Version 3.18.1
==============

	* No longer stash environment in $XDG_RUNTIME_DIR/gnome/environment
	* Set SSH_AUTH_SOCK explicitly for wayland sessions
	* Set LC environment variables up front, so g-s-d doesn't have to do
	  it and hand it back to us later
	* Set IBus environment variables too
	* Translation updates

==============
Version 3.17.92
==============

	* Stash environment in $XDG_RUNTIME_DIR/gnome/environment
	* Translation updates

==============
Version 3.16.0
==============

	* Bump version

===============
Version 3.15.92
===============

	* Fix bug in tracking if the session is active
	* Fail whale fixes
	* Translation updates

===============
Version 3.15.90
===============

	* Don't try to failwhale when the wayland compositor fails to start
	* Support newer systemd client library layout
	* Cut out more vestigial dbus-glib remnants
	* Translation updates

==============
Version 3.15.4
==============

	* Allow turning on debugging with an environment variable
	* Don't set DISPLAY in wayland sessions
	* Add back session-name property
	* Translation updates

==============
Version 3.15.3
==============

	* port to GDBus
	* misc clean ups
	* Translation updates

==============
Version 3.14.0
==============

	* DOAP updates
	* Translation updates

==============
Version 3.13.3
==============

	* Fixes for XDG_CURRENT_DESKTOP semantic shift
	* Translation updates

==============
Version 3.12.1
==============

	* Add DesktopNames to session files
	* doap file updates
	* ConsoleKit fixes
	* Translation updates

==============
Version 3.12.0
==============
	* fix for wayland support

===============
Version 3.11.92
===============
	* Update FSF address in copyright headers
	* Small wayland update
	* Improve xtrans autogoo
	* Translation updates

==============
Version 3.11.4
==============

	* Fix crash on startup for non-systemd systems
	* Translation updates

==============
Version 3.11.3
==============
	* Warning fixes
	* Use modern methods for finding gsettings schemas
	* fail whale size request fixes
	* Translation updates

==============
Version 3.11.2
==============
	* blacklist nv25
	* use new GSubprocess api
	* Translation updates

==============
Version 3.11.0
==============
	* Fix a possible crash in the presence interface
	* gsm-manager: Don't abort when all clients exit (#710480)
	* gsm-util: Use g_unsetenv() rather than g_setenv(variable, NULL) (#710485)
	* Only support UPower 0.9
	* Drop EggSMClient
	* Remove gnome-session-properties (#708923)
	* Translation updates

==============
Version 3.10.1
==============
	* Fix a crash on session end (#709221)
	* Translation updates

==============
Version 3.10.0
==============
        * Put gnome-shell-wayland.desktop in /usr/share/wayland-sessions instead of /usr/share/xsessions
        * Translation updates

==============
Version 3.9.92
==============
        * Add basic support for running Wayland sessions
        * Translation updates

==============
Version 3.9.91
==============
        * Add new phase for gnome-initial-setup and new phase for mutter-wayland
        * Fix deadlock now that idle handling is in mutter
        * Drop dead fallback code
        * Add bits needed for wayland integration
        * rename session-properties to gnome-session-properties
        * make shutdown and reboot failable operations
        * misc fixes

==============
Version 3.9.90
==============
        * code style fix ups
        * Set _GNOME_IS_SOFTWARE_RENDERING root window property when software rendering
        * disable hardware acceleration for poulsbo driver
        * Updated translations

==============
Version 3.9.5
==============

        * Check errors on D-Bus calls (#705163)
        * Set up journal redirection earlier (#703661)
        * Reshow end session dialog when inhibitor disappears (#702575)
        * Always distribute session-selector.ui (#700363)
        * Make GsmAutostartApp work with new GLib (#698798)
        * Updated translations

==============
Version 3.8.1
==============

        * Check for logind, not systemd (#696262)
        * Updated translations

==============
Version 3.8.0
==============

        * Updated translations

==============
Version 3.7.92
==============

        * Increase phase timeout to 90 seconds
        * Updated translations

==============
Version 3.7.91
==============

        * Use pkg-config to check for X libraries
        * Automatically fallback to software renderering if hardware renderering
          doesn't pass the sniff test
        * fix positioning of fail whale dialog
        * Updated translations

==============
Version 3.7.90
==============

        * Add preliminary patch toward systemd-ification
        * Fix XSMP clients after shutdown is canceled
        * Make build with newer upower
        * Adjust for new gnome-desktop idle api
        * Add session selector
        * Set XDG_MENU_PREFIX
        * Updated translations

=============
Version 3.7.4
=============

        * Remove the fallback session definition (#687586)
        * Remove support for RequiredProviders (#691663)
        * Show the fail whale if GNOME shell can't run (#687586)
        * Log to the systemd journal when available (#691785)
        * Make SIGUSR1 print a line in debug output (#692241)
        * Add an InhibitedActions D-Bus property (#692517)
        * Reduce default idle timeout to 2 minutes
        * Move automatic logout on idle functionality to
          gnome-settings-daemon (#597030)
        * Allow empty sessions (#690866)
        * Allow named saved sessions (#613270)
        * Updated translations (Hebrew, Lithuanian, Norwegian bokmål,
          Slovak, Persian, Aragonese, Kazakh, Sovenian, Uyghur, Spanish,
          Belarusian, Assamese, Serbian, Portuguese, Bulgarian, Dutch,
          Friulian, Galician, Basque, Polish, Traditional Chinese,
          Japanese, Italian)

=============
Version 3.7.3
=============

	* Use GnomeIdleMonitor for idle detection
	* Enable llvmpipe
	* Fix some error spew
	* make --version not return a failure code
	* reduce depedency on GTK+
	* shutdown and logout fixes
	* Add automatic logout on idle feature
	* docs fixes
	* misc fixes
	* Updated translations (Assamese, Estonian, Galician, Hebrew, Kannada, Odia, Polish, Slovenian, Spanish)

=============
Version 3.7.2
=============

        * Be more careful when dropping system inhibitors
        * Add a commandline wrapper for inhibiting
        * Add a GetLocale() D-Bus method
        * Add a SessionIsActive D-Bus property
        * Modernize the code in some places
        * Initialize GsmSystem before acquiring a bus name
        * Properly initialize upower client
        * Reject xsmp clients sooner when ending the session
        * Set _GNOME_MAX_SCREEN_SIZE root window property
        * Updated translations (Greek, Hebrew, Slovak, Slovenian)

=============
Version 3.7.1
=============

 Session Manager

	* Add gnome-screensaver to fallback session
	* Make SessionName property introspectable

=============
Version 3.6.0
=============

 Session Manager

	* Make autostart overriding more flexible
	* Updated translations

==============
Version 3.5.91
==============

 Session Manager

	* Updated translations

=============
Version 3.5.5
=============

 Session Manager

	* Make XSMP error messages more clear
	* Be more careful in systemd code when session fails to get registered
	* Require newer glib
	* Make gconf build time optional
	* Updated translations

=============
Version 3.5.4
=============

 Session Manager

	* Add command for showing reboot dialog
	* Inhibitor API / mechanism improvements
        * Systemd integration fixes
	* man page updates
	* fail whale in more failure cases
	* fix duplicate logout dialog when user hits cancel
	* Updated translations

=============
Version 3.5.2
=============

 Session Manager

	* Require new logind version (Colin Walters)
	* Remove markup from translatable string (Piotr Drąg)
	* Fail softer in the face of spotty session bus (Ray, William Jon McCann)
	* Consider that required component that exits with 1 has crashed (Vincent)

  Translators

	* Dirgita (id)

=============
Version 3.4.2
=============

  Capplet

	* Add Unity to OnlyShowIn in .desktop file (Jeremy Bicha)

  Translators

	* Yurek Hinz (csb)
	* Takayuki KUSANO (ja)

=============
Version 3.4.1
=============

  Session Manager

	* Properly move to next phase if an app dies on startup (Vincent)
	* Fix some restart/poweroff problems in the systemd code (Matthias
	  Clasen)
	* Cleanups (Vincent)

  Translators

	* David Planella (ca)
	* David Planella (ca@valencia)
	* Reşat SABIQ (crh)
	* Wolfgang Stoeggl (de)
	* Bruce Cowan (en_GB)
	* Arash Mousavi (fa)
	* Gabor Kelemen (hu)
	* Milo Casagrande (it)
	* Sandeep Shedmake (mr)
	* Kjartan Maraas (nb)

=============
Version 3.4.0
=============

  Session Manager

	* Don't show toggle switches for gnome-shell extensions in fail whale
	  dialog; simply disable all extensions instead (Jasper St. Pierre)
	* Code cleanups (Jasper St. Pierre)

  Translators

	* Nilamdyuti Goswami (as)
	* Ihar Hrachyshka (be)
	* Alexander Shopov (bg)
	* David Planella (ca)
	* David Planella (ca@valencia)
	* Reşat SABIQ (crh)
	* Marek Černocký (cs)
	* flemming christensen (da)
	* Daniel Mustieles (es)
	* Mattias Põldaru (et)
	* Luc Guillemin (fr)
	* Fran Dieguez (gl)
	* Sweta Kothari (gu)
	* Yaron Shahrabani (he)
	* Changwoo Ryu (ko)
	* Aurimas Černius (lt)
	* Rūdolfs Mazurs (lv)
	* A S Alam (pa)
	* Piotr Drąg (pl)
	* Duarte Loreto (pt)
	* Antonio Fernandes C. Neto (pt_BR)
	* Yuri Myasoedov (ru)
	* Matej Urbančič (sl)
	* Мирослав Николић (sr)
	* Miroslav Nikolić (sr@latin)
	* Daniel Nylander (sv)
	* Sasi Bhushan Boddepalli (te)
	* Korostil Daniel (uk)
	* Nguyễn Thái Ngọc Duy (vi)
	* tuhaihe (zh_CN)
	* Chao-Hsiung Liao (zh_HK)
	* Chao-Hsiung Liao (zh_TW)

==============
Version 3.3.92
==============

  Session Manager

	* Minor bug fixes (Ray Strode, Jasper St. Pierre)

  Translators

	* Nilamdyuti Goswami (as)
	* Mattias Põldaru (et)
	* Yuri Myasoedov (ru)

==============
Version 3.3.90
==============

  Session Manager

	* Fix the GsmSystem type registration (Matthias Clasen)

=============
Version 3.3.5
=============

  Session Manager

	* Use systemd session tracking instead of ConsoleKit when system is
	  booted with systemd (Matthias Clasen)
	* Code cleanups (Matthias Clasen)

  Translators

	* Hideki Yamane (ja)
	* Andreas N. (nn)
	* Muhammet Kara (tr)

=============
Version 3.3.3
=============

  Tools

	* Blacklist pre-R300 Radeon hardware in accelerated check (Vincent)

=============
Version 3.3.2
=============

  Tools

	* Fix regexp for blacklisting Intel 830-865 hardware (Vincent)

  Translators

	* Kristjan SCHMIDT (eo)
	* Muhammet Kara (tr)

=============
Version 3.3.1
=============

  Tools

	* Look at gnome.fallback={0,1} argument in kernel boot line to
	  determine if fallback mode should be enforced or ignored (Vincent)
	* Use whitelist/blacklist regexps in an external file when evaluating
	  renderer for accelerated check (Vincent)
	* Blacklist Intel 830-865 hardware when checking for accelerated
	  hardware (Vincent)

  Translators

	* Ihar Hrachyshka (be)

=============
Version 3.2.1
=============

  Session Manager

	* Refuse to install an idle timeout of 0 seconds (Rodrigo Moya)
	* Fix crash on Solaris because of bad comparison (Brian Cameron)

  Translators

	* David Planella (ca@valencia)
	* Kristjan SCHMIDT (eo)
	* Nguyễn Thái Ngọc Duy (vi)
	* Chao-Hsiung Liao (zh_HK)
	* Chao-Hsiung Liao (zh_TW)

=============
Version 3.2.0
=============

  Translators

	* Nilamdyuti Goswami (as)
	* Petr Kovar (cs)
	* flemming christensen (da)
	* Inaki Larranaga Murgoitio (eu)
	* Tommi Vainikainen (fi)
	* Sweta Kothari (gu)
	* Gabor Kelemen (hu)
	* Andika Triwidada (id)
	* Changwoo Ryu (ko)
	* Aurimas Černius (lt)
	* Мирослав Николић (sr)
	* Miroslav Nikolić (sr@latin)
	* Praveen Illa (te)
	* Korostil Daniel (uk)

==============
Version 3.1.92
==============

  Session Manager

	* Never mark as handled the Disconnected signal from dbus (Vincent)
	* Disconnect all dbus clients when dbus is disconnected (Vincent)
	* Don't offer logout in the fail whale on the login screen (Matthias Clasen)
	* Code improvements (Matthias Clasen, Vincent)

  Translators

	* Anass Ahmed (ar)
	* Ihar Hrachyshka (be)
	* Alexander Shopov (bg)
	* David Planella (ca)
	* Mario Blättermann (de)
	* Bruce Cowan (en_GB)
	* Daniel Mustieles (es)
	* Arash Mousavi (fa)
	* Luc Guillemin (fr)
	* Yaron Shahrabani (he)
	* Luca Ferretti (it)
	* Jiro Matsuzawa (ja)
	* Rūdofls Mazurs (lv)
	* Wouter Bolsterlee (nl)
	* A S Alam (pa)
	* Piotr Drąg (pl)
	* Duarte Loreto (pt)
	* Antonio Fernandes C. Neto (pt_BR)
	* Matej Urbančič (sl)
	* Dr.T.Vasudevan (ta)
	* Theppitak Karoonboonyanan (th)
	* Wylmer Wang (zh_CN)
	* Chao-Hsiung Liao (zh_HK)
	* Chao-Hsiung Liao (zh_TW)

==============
Version 3.1.91
==============

  Session Manager

	* Fix usage of %lld for 64-bit formats (Owen Taylor)
	* Add a translator comment (Matthias Clasen)

  Translators

	* Ihar Hrachyshka (be)
	* Fran Dieguez (gl)
	* Kjartan Maraas (nb)
	* Daniel Nylander (sv)

==============
Version 3.1.90
==============

  Session Manager

        * Support for debugging the fail whale dialog (Jasper St. Pierre)
        * Show gnome-shell extensions in the fail whale dialog (Jasper)
        * Respect lockdown in the fail whale dialog (Matthias Clasen)
        * Add an IsSessionRunning DBus method (Matthias)
        * Remove obsolete gconf sanity check (William Jon McCann)

  Translation updates

        * Galician
        * German
        * Indonesian
        * Norwegian bokmål
        * Russian
        * Spanish
        * Thai
        * Uighur

=============
Version 3.1.5
=============

  Session Manager

	* Fix --help to mention arguments for options that have one (Vincent)
	* Support XDG_CURRENT_DESKTOP (Michael Terry, Vincent)

  Capplet

	* Respect OnlyShowIn and NotShowIn keys (Vincent, Michael Terry)
	* Code cleanup (Vincent)

  Translators

	* Ihar Hrachyshka (be)
	* Alexander Shopov (bg)
	* Petr Kovar (cs)
	* Jorge González (es)
	* Tommi Vainikainen (fi)
	* Yaron Shahrabani (he)
	* Rūdofls Mazurs (lv)
	* Kjartan Maraas (nb)
	* Piotr Drąg (pl)
	* Daniel Nylander (sv)

=============
Version 3.1.3
=============

  Session Manager

	* Fix build warnings (Vincent)

  Capplet

	* Fix build warning (Vincent)

  Misc

	* Modernize build system a bit (Vincent)
	* Remove artificial librsvg dependency (Vincent)

  Translators

	* Мирослав Николић (sr)
	* Miroslav Nikolić (sr@latin)
	* Daniel Nylander (sv)
	* Muhammet Kara (tr)

=============
Version 3.1.2
=============

  Session Manager

	* Fix race condition in idle monitor (Christopher Halse Rogers)
	* Consistently use Restart and not Reboot (Chris Wilson)
	* Fix crashes by not assuming XSMP clients set the SmProgram property
	  (Vincent)
	* Make the acceleration checks refuse to work in zaphod mode (Adam
	  Jackson)
	* Update libegg code (Vincent)
	* Code cleanups (Vincent, Kjartan Maraas)

  Translators

	* David Planella (ca@valencia)
	* Daniel Mustieles (es)
	* Fran Diéguez (gl)
	* Yaron Shahrabani (he)
	* Kjartan Maraas (nb)
	* Matej Urbančič (sl)

=============
Version 3.0.2
=============

  Translators

	* Kristjan SCHMIDT (eo)
	* Sahran (ug)

=============
Version 3.0.1
=============

  Translators

	* Arash Mousavi (fa)
	* Theppitak Karoonboonyanan (th)
	* Lê Trường An (vi)

=============
Version 3.0.0
=============

Session Manager:
- Change path of GSettings schema (Vincent)

Translations:
- Updated af: Friedel Wolff
- Updated bn: Jamil Ahmed
- Updated ca: Jordi Serratosa
- Updated cs: Petr Kovar
- Updated da: Kris Thomsen
- Updated de: Wolfgang Stöggl
- Updated el: Simos Xenitellis
- Updated en_GB: Bruce Cowan
- Updated eu: Inaki Larranaga Murgoitio
- Updated hu: Gabor Kelemen
- Updated id: Dirgita
- Updated ko: Changwoo Ryu
- Updated lt: Gintautas Miliauskas
- Updated pt: Duarte Loreto
- Updated ta: Dr.T.Vasudevan
- Updated zh_CN: Aron Xu
- Updated zh_HK: Chao-Hsiung Liao
- Updated zh_TW: Chao-Hsiung Liao

===============
Version 2.91.94
===============

Session Manager: Bump the phase timeout to 30 seconds.

Translations: Swedish, Ukrainian, Punjabi, Norwegian bokmål,
  Bazilian Portuguese, Dutch, Hebrew, German, Japanese, Arabic,
  Russian, Vietnamese, Uighur, French, Latvian, Polish

===============
Version 2.91.93
===============

Note this is a brown bag release.  All users who need working log out and shut down
functionality should use this release instead of 2.91.92.

Session Manager:
- Make work with latest version of the shell.

Translations:
- Updated bg: Krasimir Chonov
- Updated es: Jorge González
- Updated it: Luca Ferretti
- Updated ro: Daniel Șerbănescu
- Updated sl: Matej Urbančič

===============
Version 2.91.92
===============

Note to packagers: if you are using your own .session files, please update them
as the format has changed.

Session Manager:
- Better fatal error handling in general, including specific handling when
  required components fail (Colin Walters, William Jon McCann, Vincent)
- Improve wording of fallback dialog (Matthias Clasen)
- Avoid double-checking between gdm and gnome-session in
  gnome-session-check-accelerated-helper (Matthias Clasen)
- Switch to using seconds for idle time (William Jon McCann)
- Honor disable-log-out and disable-user-switching lockdown settings (Ray
  Strode, Vincent)
- Change format of .session files in a incompatible way; this is now documented
  in the gnome-session man page (Vincent)
- Update gnome-session-quit man page (Vincent)
- Enforce the use of required components in the session (Vincent)
- Deal with conflicts between Provides in different applications by only having
  one provider running; this was only working well for Provides defined in the
  session definition (Vincent)
- Use app-id when saving session instead of startup-id for .desktop (Vincent)
- Explicitly require gnome-shell/gnome-panel in .session files, instead of
  using providers (Vincent)
- Clean up saved session on logout if session is not getting saved (Vincent)
- Use "computer-fail" icon from theme instead of our own sad-computer (Vincent)
- Fix some gnome-shell/gnome-session interaction issue on logout, when a third
  application cancels logout (Ray Strode)
- Code cleanups (Ray Strode, Vincent)

Translations:
- Updated ar: Khaled Hosny
- Updated as: Nilamdyuti Goswami
- Updated en_GB: Bruce Cowan
- Updated es: Jorge González
- Updated et: Ivar Smolin
- Updated fr: Bruno Brouard
- Updated fy: Sense Hofstede
- Updated gl: Fran Diéguez
- Updated he: Yaron Shahrabani
- Updated hu: Gabor Kelemen
- Updated id: Andika Triwidada
- Updated ko: Changwoo Ryu
- Updated lv: Rudolfs
- Updated nb: Kjartan Maraas
- Updated nl: Wouter Bolsterlee
- Updated pl: Piotr Drąg
- Updated pt: Duarte Loreto
- Updated pt_BR: Flamarion Jorge
- Updated ro: Lucian Adrian Grijincu
- Updated ru: Yuri Myaseodov
- Updated sl: Andrej Žnidaršič
- Updated sr: Милош Поповић
- Updated sr@latin: Miloš Popović
- Updated sv: Daniel Nylander
- Updated uk: Korostil Daniel

=================
Version 2.91.91.3
=================

Fix another problem with launching of gnome-session-check-accelerated-helper

=================
Version 2.91.91.2
=================

More fixes and diagnostics for gnome-session-check-accelerated

=================
Version 2.91.91.1
=================

Fix gnome-session-check-accelerated to return 0 on success, as expected

===============
Version 2.91.91
===============

Session Manager:
- Better error message on not-found session (Colin Walters)
- Rename gnome-session-save to gnome-session-quit (William Jon McCann)
- Fix cancel button in logout dialog (Ray Strode)
- Increase is-accelerated runnable helper timeout (Colin Walters)
- Fix crash when if-session autostart condition is used (Matthias Clasen)
- Add gnome-session-check-accelerated to set a X property about acceleration
  (Colin Walters)
- Rename gnome-session-is-accelerated to gnome-session-check-accelerated-helper
  (Colin Walters)
- Fix typo (Vincent)

Translations:
- Updated ar: Khaled Hosny
- Updated bg: Alexander Shopov
- Updated ca: David Planella
- Updated es: Daniel Mustieles
- Updated et: Ivar Smolin
- Updated fr: Alain Lojewski
- Updated he: Yaron Shahrabani
- Updated ko: Changwoo Ryu
- Updated lv: Rūdolfs Mazurs
- Updated nb: Kjartan Maraas
- Updated pa: A S Alam
- Updated sk: Pavol Šimo
- Updated sl: Matej Urbančič
- Updated sv: Daniel Nylander
- Updated uk: Korostil Daniel

=================
Version 2.91.90.1
=================

Session Manager:
- Fix a crash happening in gdm (Colin Walters)

Translations:
- Updated bn_IN: Runa Bhattacharjee

===============
Version 2.91.90
===============

Session Manager:
- Update for GSettings schemas changes (Vincent)
- Read default session from GSettings (Alexander Larsson)
- Make the current session name available via dbus (Alexander Larsson)
- Support autostart conditions that depend on the current session (Alexander
  Larsson)
- Make notification-daemon a required part of the fallback session (Matthias
  Clasen)
- Show a dialog after login the first time we fall back to gnome-fallback
  (Alexander Larsson)
- Various fixes to shell logout/shutdown dialog (Ray Strode)
- Code cleanups (Vincent)

Misc:
- gsettings-desktop-schemas 0.1.7 is required

Translations:
- Updated ar: Khaled Hosny
- Updated bg: Alexander Shopov
- Updated ca: David Planella
- Updated es: Jorge González
- Updated gu: Sweta Kothari
- Updated he: Yaron Shahrabani
- Updated nb: Kjartan Maraas
- Updated nl: Wouter Bolsterlee
- Updated sl: Matej Urbančič

==============
Version 2.91.6
==============

Note to packagers: with the move to GSettings, gnome-session now depends on
gsettings-desktop-schemas.

Session Manager:
- Fix build with latest GTK+ 3 (Matthias Clasen, Vincent)
- Migrate to GSettings (Ray Strode)
- Add support for shell logout/shutdown dialog (Ray Strode)
- Use fallback session if required components are missing (Matthias Clasen)

Defined Sessions:
- Do not consider Gallium's softpipe and llvmpipe as accelerated (Vincent)
- Do not run nautilus by default (Matthias Clasen)

Capplet:
- Migrate to GSettings (Ray Strode, Vincent)

Misc:
- Change GETTEXT_PACKAGE to gnome-session-3.0 (Vincent)
- Drop gnome-wm script (Matthias Clasen)
- Add a runtime dependency on gsettings-desktop-schemas

Translations:
- Updated ar: Khaled Hosny
- Updated bg: Alexander Shopov
- Updated ca: David Planella
- Updated es: Jorge González
- Updated et: Ivar Smolin
- Updated gl: Fran Diéguez
- Updated he: Yaron Shahrabani
- Updated hu: Gabor Kelemen
- Updated id: Andika Triwidada
- Updated nb: Kjartan Maraas
- Updated nl: Wouter Bolsterlee
- Updated sl: Matej Urbančič
- Updated sv: Daniel Nylander
- Updated ug: Sahran
- Updated zh_HK: Chao-Hsiung Liao
- Updated zh_TW: Chao-Hsiung Liao

==============
Version 2.91.4
==============

Note to distributors:
 - the definition of the session started by gnome-session moved out of gconf
   and is now living in .desktop-like files. The format of those files might
   change in the future.
 - two predefined sessions are shipped: GNOME (default), that will start GNOME
   Shell, and Classic GNOME, that will start gnome-panel, metacity, etc. like in
   GNOME 2.
 - a small utility, gnome-session-is-accelerated, is used to determine if GNOME
   Shell can be used. If this is not the case, Classic GNOME will be used.
   Please send feedback on when this utility doesn't detect things properly.
 - it is known that session saving doesn't work well with people moving from
   one session to another at the moment. It can result in gnome-panel running
   with GNOME Shell, for example.

Session Manager:
- Add autostart condition through GSettings (Bastien Nocera)
- Don't ever show inhibitor dialog if logout is forced (Ray Strode)
- Fix some issue tracking clients on logout (Ray Strode)
- Add an application restart limit (William Jon McCann)
- Move the definition of a session from gconf to .desktop-like files (Vincent)
- Change default session to use GNOME Shell, with a fallback to classic GNOME
  (Vincent)
- Update for GTK+ 3 changes (Matthias Clasen)
- Code cleanups (Vincent)

Capplet:
- Set NoDisplay=true (William Jon McCann)
- Fix inline search (Ricardo Cruz)
- Update for GTK+ 3 changes (Cosimo Cecchi, Vincent)

Translations:
- Updated ca@valencia: David Planella
- Updated crh: Reşat SABIQ
- Updated es: Jorge González
- Updated et: Ivar Smolin
- Updated fa: Mahyar Moghimi
- Updated fi: Ville-Pekka Vainio
- Updated fy: Sense Hofstede
- Updated gl: Fran Diéguez
- Updated he: Yaron Shahrabani
- Updated ja: Yasumichi Akahoshi
- Updated ko: Changwoo Ryu
- Updated nb: Kjartan Maraas
- Updated ro: Daniel Șerbănescu
- Updated sl: Matej Urbančič
- Updated th: Theppitak Karoonboonyanan
- Updated ug: Sahran

==============
Version 2.91.0
==============

Session Manager:
- Miscellaneous string fixes (Philip Withnall)
- Fix for GTK+ 3 changes (Vincent, Ray Strode, Fernando Herrera)

Misc
- Update information in README and other files (Vincent)
- Update man pages (Vincent)
- Build against GTK+ 3 by default (Ray Strode)
- Rename --enable-deprecations configure flag to --enable-deprecation-flags
  (Vincent)

Translations:
- Updated ar: Khaled Hosny
- Updated bg: Damyan Ivanov
- Updated ca: David Planella
- Updated cs: Petr Kovar
- Updated da: Kenneth Nielsen
- Updated de: Christian Kirbach
- Updated el: Kostas Papadimas
- Updated en_GB: Philip Withnall
- Updated es: Jorge González
- Updated et: Mattias Põldaru
- Updated fi: Jiri Grönroos
- Updated fr: Claude Paroz
- Updated gl: Fran Dieguez
- Updated he: Yaron Shahrabani
- Updated hu: Gabor Kelemen
- Updated id: Andika Triwidada
- Updated it: Luca Ferretti
- Updated ja: Takayuki KUSANO
- Updated lt: Žygimantas Beručka
- Updated nb: Kjartan Maraas
- Updated nl: Wouter Bolsterlee
- Updated pa: A S Alam
- Updated pl: Tomasz Dominikowski
- Updated pt: Duarte Loreto
- Updated pt_BR: Daniel S. Koda
- Updated sk: Pavol Šimo
- Updated sl: Matej Urbančič
- Updated sr: Милош Поповић
- Updated sr@latin: Miloš Popović
- Updated sv: Daniel Nylander
- Updated ta: Dr.T.Vasudevan
- Updated ug: Gheyret T.Kenji
- Updated zh_CN: Aron Xu
- Updated zh_HK: Chao-Hsiung Liao
- Updated zh_TW: Chao-Hsiung Liao

==============
Version 2.31.6
==============

Session Manager:
- Fix a GSeal issue (Vincent)
- Fixed spelling error in schema description (Frédéric Péters)
- Port gnome-session to upower ((Richard Hughes)
- Fix description of auto_save_session key (Vincent)

Misc
- Drop compatibility tool that sets GTK+ 1.x environment variable (Vincent)
- Drop the splash program (Paolo Borelli)
- Require upower-glib instead of devkit-power-gobject (Richard Hughes)
- Add configure flag to select which GTK+ version to use (Frédéric Péters)

Translations:
- Updated bn_IN: Runa Bhattacharjee
- Updated de: Mario Blättermann
- Updated eo: Kristjan SCHMIDT
- Updated es: Jorge González
- Updated et: Mattias Põldaru
- Updated fy: Sense Hofstede
- Updated gl: Fran Diéguez
- Updated gu: Sweta Kothari
- Updated he: Yaron Shahrabani
- Updated lv: Rūdolfs Mazurs
- Updated mr: Sandeep Shedmake
- Updated nb: Kjartan Maraas
- Updated pa: A S Alam
- Updated sl: Matej Urbančič
- Updated sv: Daniel Nylander
- Updated zh_CN: Aron Xu

==============
Version 2.31.2
==============

Session Manager:
- Export _stop method for clients, for better GNOME Shell experience (Colin
  Walters)

Misc:
- Explicitly add -lXext -lXau to linker line (Colin Walters)

Translations:
- Updated ca: David Planella
- Updated ca@valencia: David Planella
- Updated en@shaw: Thomas Thurman
- Updated en_GB: Philip Withnall
- Updated fi: Timo Jyrinki
- Updated id: Andika Triwidada
- Updated kn: Shankar Prasad
- Updated mr: Sandeep Shedmake
- Updated nl: Wouter Bolsterlee
- Updated or: Manoj Kumar Giri

==============
Version 2.30.0
==============

Misc:
- Add more information to configure summary (Vincent)

Translations:
- Updated bn: Israt Jahan
- Updated eu: Iñaki Larrañaga Murgoitio
- Updated ko: Changwoo Ryu
- Updated sr: Горан Ракић
- Updated sr@latin: Goran Rakić

===============
Version 2.29.92
===============

Note for distributors: the log out on SIGTERM/SIGINT possibly create a
misbehavior with old versions of the GDM greeter. It is recommended to use this
release with GDM 2.29.92.

Session Manager:
- Log out on SIGTERM and SIGINT (Halton Huo)
- Delay the creation of the GsmXSMPClient until it really exists, to fix
  potential crashes on logout (Romain Perier)

Misc:
- Remove unneeded LIBGNOMEUI_REQUIRED from configure.in (Vincent)

Translations:
- Updated gl: Fran Diéguez
- Updated ko: Changwoo Ryu
- Updated nn: Torstein Adolf Winterseth
- Updated pl: Piotr Drąg

==============
Version 2.29.6
==============

Session Manager:
- Fix typo in error message (Vincent)
- Add diagnostic output for exit phase timeout (Matthias Clasen)
- GSeal: Use accessor functions instead of direct access (Javier Jardón)
- Check that the XSMP connection exists when stopping a client to fix potential
  crash on exit (Romain Perier)

Capplet:
- Destroy the main window on close to ensure changes are saved (Vincent)

Misc:
- Install the helpers in libexecdir, not libdir (Vincent)

Translations:
- Updated as: Amitakhya Phukan
- Updated crh: Reşat SABIQ
- Updated el: nikosCharonitakis
- Updated en@shaw: Thomas Thurman
- Updated nds: Nils-Christoph Fiedler
- Updated pt_BR: André Gondim
- Updated ru: Anisimov Victor
- Updated sl: Matej Urbančič
- Updated zh_CN: Tao Wei

==============
Version 2.28.0
==============

- Trivial code fixes (Vincent)
- Lock the screen before hibernate/suspend (Richard Hughes)

Translations:
- Updated as: Amitakhya Phukan
- Updated br: Denis Arnaud
- Updated ca: David Planella
- Updated cs: Petr Kovar
- Updated da: Kenneth Nielsen
- Updated de: Wolfgang Stoeggl
- Updated en_GB: Philip Withnall
- Updated hi: Rajesh Ranjan
- Updated kn: Shankar Prasad
- Updated lt: Gintautas Miliauskas
- Updated mai: Sangeeta Kumari
- Updated ml: Peter Ani
- Updated mr: Sandeep Shedmake
- Updated or: Manoj Kumar Giri
- Updated pa: A S Alam
- Updated pt_BR: André Gondim
- Updated ro: Lucian Adrian Grijincu
- Updated sl: Matej Urbančič
- Updated sr: Горан Ракић
- Updated sr@latin: Goran Rakić
- Updated te: Krishna Babu K
- Updated uk: Maxim Dziumanenko
- Updated zh_HK: Chao-Hsiung Liao
- Updated zh_TW: Chao-Hsiung Liao

===============
Version 2.27.92
===============

- Remove at-spi-registryd wrapper (at-spi properly implements session
  management) (Lucas)

Translations:
- Updated be: Alexander Nyakhaychyk
- Updated bn: Loba Yeasmeen
- Updated bn_IN: Runa Bhattacharjee
- Updated br: Denis
- Updated et: Ivar Smolin
- Updated eu: Iñaki Larrañaga Murgoitio
- Updated fr: Claude Paroz
- Updated hu: Gabor Kelemen
- Updated ja: Takayuki KUSANO
- Updated pl: Tomasz Dominikowski
- Updated pt: Duarte Loreto
- Updated tr: Baris Cicek

===============
Version 2.27.91
===============

Note: this release contains a port of the PolicyKit code to PolicyKit 1, which
is needed for gnome-session to work with newer ConsoleKit. However, because of
limitations of the ConsoleKit API, there are some regressions that cannot be
addressed. See http://bugzilla.gnome.org/show_bug.cgi?id=585614 for more
details.

- Install splash desktop file in $(sysconfdir)/xdg/autostart (Vincent)
- Do not install gnome-splash.png unless --enable-splash is used (Vincent)
- Fix idle watch not working (Vincent)
- Fix typo in debug message (Oskar Wallgren)
- Use GTK+ accessor functions instead direct access (Javier Jardón)
- Remove deprecated Encoding key from desktop file (Frédéric Péters)
- Port to PolicyKit 1 (Matthias Clasen)
- Remove dependency on PolicyKit libraries (Matthias Clasen)

Translations:
- Updated ar: Khaled Hosny
- Updated bg: Alexander Shopov
- Updated ga: Seán de Búrca
- Updated gl: Antón Méixome
- Updated gu: Sweta Kothari
- Updated it: Luca Ferretti
- Updated ko: Changwoo Ryu
- Updated nb: Kjartan Maraas
- Updated or: Manoj Kumar Giri
- Updated pt_BR: Djavan Fagundes
- Updated th: Theppitak Karoonboonyanan

==============
Version 2.27.5
==============

- Prefer compiz-manager over compiz when available in gnome-wm (Vincent)
- Add --with-default-wm configure option to let distributors specify the
  default window manager they want to use (including gnome-wm) (Vincent)
- Use silent-rules with automake 1.11 (Vincent)
- Add --enable-splash configure option to build splash, and disable splash
  build by default (Vincent)
- Add Presence interface to the documentation (William Jon McCann)
- Do not exit when the system bus restarts (Vincent, Sjoerd Simmons)
- Port from gnome-power-manager to DeviceKit-power (Richard Hughes)
  DeviceKit-power is a new dependency.
- Code cleanup (Vincent)

Translations:
- Updated es: Jorge González
- Updated et: Ivar Smolin (et)
- Updated fi: Ilkka Tuohela (fi)
- Updated he: Yaron Shahrabani (he)
- Updated sv: Daniel Nylander (sv)
- Updated ta: Dr.T.Vasudevan (ta)

==============
Version 2.27.4
==============

- Reduce GConf roundtrips (Matthias Clasen)
- Use shave to improve build log readability (Vincent)
- Fix a crash on Solaris (Ghee Teo)
- Generate docs for the presence API (Matthias Clasen)
- Rewrite a good part of the capplet. Some highlights:
  - much cleaner code
  - monitor autostart files
  - autofill name field if needed
  - add help button
  - better handling of themed and non-themed application icons
  - allow dragging from the application list
  - make it more clear that applications are disabled
  (Vincent)
- Port to GtkBuilder (Vincent)
- Improve debug message (Vincent)
- Load default apps after saved and autostart apps (Vincent)
- Build fixes for BSD (Daniel Macks, Alexis Ballier)
- Update eggsmclient code to fix crash (Vincent)
- Add mutter support to gnome-wm (Jon Nettleton)
- Make gnome-session exit properly on reboot/shutdown (Bill Nottingham)
- Avoid pointless warnings (Matthias Clasen)
- Honour the SmRestartNever SmRestartStyleHint (Caolan McNamara)
- Default clients to RESTART_IF_RUNNING instead of NEVER (Caolan McNamara)
- Code cleanups (Vincent)

Translations:
- Updated ar: Khaled Hosny
- Updated ca@valencia: David Planella
- Updated da: Kenneth Nielsen
- Updated de: Christian Kirbach
- Updated es: Jorge González
- Updated et: Ivar Smolin
- Updated he: Mark Krapivner
- Updated te: Krishna Babu K
- Updated uk: Maxim Dziumanenko

==============
Version 2.26.1
==============

- Fix inhibitor dialog not showing the right action button when shutting down
  (Vincent)
- Make gnome-session-save --kill --silent work as --force-logout (Vincent)
- Correctly use the arguments passed to gnome-session when launched with no
  session dbus (Vincent)

Translations:
- Updated sr: Горан Ракић
- Updated zh_CN: Ray Wang

=================
Version 2.26.0.90
=================

Note: while this is a tarball from a stable branch, this version should be
considered as a test tarball. It contains some important changes to the session
manager to fix various issues, and we want those changes to be tested before
2.26.1.

Depending on how D-Bus and ConsoleKit are configured on your system, you might
need the patch from https://bugs.freedesktop.org/show_bug.cgi?id=20471 for your
ConsoleKit configuration. This is required so it's possible for applications to
be able to know if there are more than one user logged in on the machine.

The two main fixes for this release are:
 - gnome-session now lets applications properly exit on logout
 - saving a session on logout is activated again

- Update man pages (Vincent)
- Let all processes exit cleanly on logout/reboot/shutdown (Vincent)
- Use smaller icon size in inhibit dialog (Vincent)
- Fix various crashes in inhibit dialog and during the logout process (Vincent)
- Make the inhibit dialog look at desktop files from autostart directories too
  (Vincent)
- Use XDG_CONFIG_HOME to save the session and create the session directory with
  the right permissions (Vincent)
- Get the discard command from XSMP clients and save it when saving a session,
  and use it when removing a saved session (Vincent)
- Properly handle XSMP clients that don't return a restart command when saving
  the session (Vincent)
- Various XSMP protocol fixes (Vincent)
- When saving the session, ask the XSMP clients to save the global and local
  states when needed instead of just asking them to save their global states.
  Else, clients won't appear on next login (Vincent)
- Allow XSMP clients to interact during the logout (and cancel the logout),
  using the inhibit infrastructure (Vincent)
- Allow clients to specify that they want to be ended last (Vincent)
- Hide deprecated command-line options from gnome-session-save --help (Vincent)
- Re-enable session saving (Vincent)
- Ignore XSyncAlarmDestroyed events, to avoid filling ~/.xsession-errors
  (Matthias Clasen)
- Various code cleanups (Vincent)

Translations:
- Updated ar: Anas Afif Emad
- Updated el: Jennie Petoumenou
- Updated hu: Gabor Kelemen
- Updated kn: Shankar Prasad
- Updated nb: Kjartan Maraas
- Updated pa: A S Alam
- Updated ru: Nickolay V. Shmyrev

==============
Version 2.26.0
==============

Note: this release disables session saving because it's not ready for wide
usage. It will hopefully be fixed for 2.26.1.

- Turn off debug spew (Lucas)
- Hide the "Save current session" button in the session properties since it's
  not working (Vincent)
- Disable session saving because it's not ready yet (Vincent)

Translations:
- Updated as: Amitakhya Phukan
- Updated crh: Reşat SABIQ
- Updated cs: Petr Kovar
- Updated el: Jennie Petoumenou
- Updated es: Jorge González
- Updated et: Ivar Smolin
- Updated gl: Suso Baleato
- Updated gu: Ankit Patel
- Updated he: Yaron Shahrabani
- Updated hi: Rajesh Ranjan
- Updated ja: Takeshi AIHANA
- Updated lt: Žygimantas Beručka
- Updated mr: Sandeep Shedmake
- Updated nb: Kjartan Maraas
- Updated or: Manoj Kumar Giri
- Updated ps: Zabeeh Khan
- Updated ta: I. Felix
- Updated te: Krishna Babu K

===============
Version 2.25.92
===============

Note: this release brings back session saving. There might be bugs for this, so
make sure to test this thoroughly.

- Ensure treeview is included in a scrolled window with a shadow in the inhibit
  dialog (Frédéric Crozat)
- Use system-log-out icon instead of deprecated gnome-logout (Matthias Clasen)
- Implement session saving (Lucas)
- Use close button instead of ok button for error dialog (Vincent)
- Fix the logout dialog not being themed (Matthias Clasen)
- Code cleanup (Lucas)

Translations:
- Updated zh_TW: Chao-Hsiung Liao
- Updated bg: Alexander Shopov
- Updated bn_IN: Runa Bhattacharjee
- Updated ca: David Planella
- Updated de: Wolfgang Stoeggl
- Updated en_GB: David Lodge
- Updated eu: Iñaki Larrañaga Murgoitio
- Updated fi: Ilkka Tuohela
- Updated fr: Bruno Brouard
- Updated gu: Sweta Kothari
- Updated hu: Gabor Kelemen
- Updated it: Luca Ferretti
- Updated ja: Takeshi AIHANA
- Updated ko: Changwoo Ryu
- Updated lv: Raivis Dejus
- Updated pt_BR: Og Maciel
- Updated pt: Duarte Loreto
- Updated ro: Adi Roiban
- Updated sv: Daniel Nylander
- Updated th: Theppitak Karoonboonyanan
- Updated tr: Baris Cicek
- Updated zh_HK: Chao-Hsiung Liao
- Updated zh_TW: Chao-Hsiung Liao

===============
Version 2.25.91
===============

- Fix copy & paste error in debug output (Matthias Clasen)
- Avoid restarting applications when shutting down (Brian Cameron)
- Improve logout/shutdown dialog messages (Matthias Clasen)
- Change the capplet name in (Lucas, Luca Ferretti)
- Remove obsolete logout_option gconf key (Luca Ferretti)
- Update description of required_components_list gconf key (Luca Ferretti)

Translations:
- Updated ast: Mikel González
- Updated bg: Alexander Shopov
- Updated crh: Reşat SABIQ
- Updated da: Kenneth Nielsen
- Updated dz: Dawa pemo
- Updated es: Jorge González
- Updated et: Ivar Smolin
- Updated eu: Iñaki Larrañaga Murgoitio
- Updated fi: Ilkka Tuohela
- Updated gl: Ignacio Casal Quinteiro
- Updated kn: Shankar Prasad
- Updated mk: Jovan Naumovski
- Updated nb: Kjartan Maraas
- Updated nl: Wouter Bolsterlee
- Updated pl: Tomasz Dominikowski
- Updated pt_BR: Andre Gondim
- Updated ro: Adi Roiban
- Updated sr: Горан Ракић
- Updated sv: Daniel Nylander
- Updated te: Bharat Kumar
- Updated th: Theppitak Karoonboonyanan
- Updated vi: Clytie Siddall
- Updated zh_HK: Chao-Hsiung Liao
- Updated zh_TW: Chao-Hsiung Liao

===============
Version 2.25.90
===============

- Install autostart files in /etc/xdg/autostart (Vincent)
- Use 22x22 icons in the splash screen (Vincent)
- Fix a potential crash in the splash screen (Vincent)
- Fix dbus documentation to mention the session bus instead of system bus
  (Richard Hughes)
- Fix build when XTest is not available (Vincent)
- Fix generation of dbus documentation to have valid docbook (Vincent)

Translations:
- Updated ca: David Planella
- Updated fi: Ilkka Tuohela
- Updated he: Yair Hershkovitz
- Updated ko: Changwoo Ryu
- Updated lt: Žygimantas Beručka
- Updated pl: Tomasz Dominikowski
- Updated pt_BR: Andre Gondim
- Updated sv: Daniel Nylander

==============
Version 2.25.5
==============

- Close ICE connection for qt3 applications (Edward Sheldrake)
- In all phases before APPLICATION, consider process termination as completion
  (Behdad Esfahbod)
- Fix gnome-session not looking at $XDG_DATA_HOME/applications (tuxce)
- Correctly check for sm and ice libraries in configure script (Lucas)
- Correctly handle X-GNOME-Autostart-enabled=false in gnome-session-properties
  (Halton Huo)
- Add support for --enable-polkit/--disable-polkit in configure script (default
  is still automatic) (Nirbheek Chauhan)
- Add NoDisplay=True to desktop files (Lucas)
- Fix typo in error message (Lucas)
- Double-click startup program entry to open edit dialog in
  gnome-session-properties (Lucas)
- Fix apps with an icon not existing in the icon theme displayed with no icon
  (Lucas)
- Add 48x48 icon for session properties (Lucas)
- Add a presence dbus API (William Jon McCann)

Translations:
- Updated ca: David Planella
- Updated de: Hendrik Richter
- Updated es: Jorge González
- Updated ha: saudat mohammed
- Updated ig: Onye, Sylvester
- Updated nb: Kjartan Maraas
- Updated sv: Daniel Nylander
- Updated uz@cyrillic: Nurali Abdurahmonov
- Updated uz: Nurali Abdurahmonov
- Updated yo: David Lodge

==============
Version 2.25.3
==============

- Address issue with multiple clients trying to use the QueryEndSession dbus
  API (Tim Kosse)
- Code and build system cleanups (Vincent)
- Stop using deprecated API (Vincent)
- Remove libgnomeui dependency (Vincent)

==============
Version 2.25.2
==============

- Don't link to gnome-keyring and libgnomeui where we don't need (William Jon
  McCann)
- Make the session properties dialog resizable (Matthias Clasen)
- Don't try to print an undefined error message (William Jon McCann)
- Build fixes (Kjartan Maraas)
- Rewrite the application finding code for the manager (Matthias Clasen)
- Add new dbus api to say whether shutdown dialog is available (Ray Strode)
- Remove compat wrapper for gnome-keyring session interaction (Stef Walter)
- Single include fixes for glib (Diego Escalante Urrelo)

Translations:
- Updated ast: Mikel González
- Updated ku: Erdal Ronahi
- Updated sr: Горан Ракић
- Updated sv: Daniel Nylander

==============
Version 2.24.1
==============

- Add GTK and GNOME categories to session-properties.desktop (Patryk Zawadzki)
- Fix leaks (Matthias Clasen)
- Rename variable to avoid symbol conflict (Frederic Peters)
- Fix padding and spacing, and make the dialog resizable in
  gnome-session-properties (Christian Persch)
- Make the strings appear translated in gnome-session-properties (Luca
  Ferretti)

Translations:
- Updated ar: Anas Afif Emad
- Updated be@latin: Ihar Hrachyshka
- Updated ca: David Planella
- Updated dz: Dawa pemo
- Updated fi: Timo Jyrinki
- Updated it: Luca Ferretti
- Updated ja: Takeshi AIHANA
- Updated mk: Jovan Naumovski
- Updated pt_BR: Og Maciel
- Updated ru: Leonid Kanter

==============
Version 2.24.0
==============

- Convert the username to UTF-8 in the logout dialog (Frederic Crozat)
- Fix leaks (Matthias Clasen)
- Turn off debugging by default (Vincent)

Translations:
- Updated ar: Anas Afif Emad
- Updated bn_IN: Runa Bhattacharjee
- Updated ca: David Planella
- Updated da: M.P. Rommedahl
- Updated de: Hendrik Richter
- Updated el: Kostas Papadimas
- Updated es: Jorge González
- Updated et: Ivar Smolin
- Updated eu: Iñaki Larrañaga Murgoitio
- Updated fi: Timo Jyrinki
- Updated fr: Claude Paroz
- Updated hr: Launchpad Translations Administrators
- Updated hu: Gabor Kelemen
- Updated it: Luca Ferretti
- Updated kn: Shankar Prasad
- Updated lt: Žygimantas Beručka
- Updated mr: Sandeep Shedmake
- Updated ro: Eddy Petrișor
- Updated sv: Daniel Nylander
- Updated ta: I. Felix
- Updated tr: Baris Cicek
- Updated zh_HK: Chao-Hsiung Liao
- Updated zh_TW: Chao-Hsiung Liao

===============
Version 2.23.92
===============

- Make all desktop files translatable (Vincent Untz)
- Avoid gnome-wm launching itself in loop (Vincent Untz)
- Remove required components from the default session (Vincent Untz)
- Rename /desktop/gnome/session/required_components key (Vincent Untz)
- Do not use dash but underscore to separate words in gconf keys (Vincent Untz)

Translations:
- Updated es: Jorge Gonzalez
- Updated fr: Claude Paroz
- Updated bg: Alexander Shopov
- Updated nl: Wouter Bolsterlee
- Updated pt_BR: Leonardo Ferreira Fontenelle
- Updated pt: Duarte Loreto
- Updated zh_CN: Funda Wang
- Updated ml: Praveen Arimbrathodiyil
- Updated nb: Kjartan Maraas
- Updated ko: Changwoo Ryu
- Updated it: Luca Ferretti
- Updated sv: Daniel Nylander
- Updated pl: Tomasz Dominikowski
- Updated ga: Seán de Búrca
- Updated vi: Nguyễn Thái Ngọc Duy
- Updated cs: Petr Kovar
- Updated et: Priit Laes  <plaes at svn dot gnome dot
- Updated th: Theppitak Karoonboonyanan
- Updated en_GB: Philip Withnall

===============
Version 2.23.91
===============

- Fixed #548710, metacity is not respawned when dies (William Jon McCann)
- Fixed #548909, compilation fix (Jens Granseuer)
- Fixed #548980, make non-fatal errors are treated as such (Frederic Crozat)
- Fixed #548982, do not set a11y gtk modules if at registry could not be
  started (Frederic Crozat)
- Honor the list of required apps in the list key instead of loading all
  component keys in the dir (William Jon McCann)
- Look in app dirs for required components (William Jon McCann)
- Do not use and install gnome-wm by default (William Jon McCann)
- Add command line option to override the gconf key used to look up the default
  session (William Jon McCann)
- Fix add/edit dialog of the capplet (William Jon McCann)
- Fix leaks (Matthias Clasen)
- Code cleanups (Matthias Clasen)
- Fixed #546863, make sure there is a session bus running (Colin Walters,
  Vincent Untz)
- Fixed #550211, add --logout, --force-logout, --logout-dialog and
  --shutdown-dialog arguments to gnome-session-save, and deprecate --kill
  (Vincent Untz)
- Fixed #542880, set GNOME_DESKTOP_SESSION_ID environment variable for
  compatibility reasons (Vincent Untz)
- Fixed #547272, make gnome-keyring-daemon work correctly again in the session
  (Vincent Untz, Stef Walter)

Translations:
- Updated cs: Petr Kovar
- Updated de: Mario Blättermann
- Updated es: Jorge González
- Updated eu: Iñaki Larrañaga Murgoitio
- Updated fi: Ilkka Tuohela
- Updated fr: Robert-André Mauchin
- Updated ga: Seán de Búrca
- Updated he: Yair Hershkovitz
- Updated ja: Takeshi AIHANA
- Updated mk: Arangel Angov
- Updated nb: Kjartan Maraas
- Updated pt_BR: Vladimir Melo
- Updated ru: Leonid Kanter
- Updated sv: Daniel Nylander
- Updated th: Theppitak Karoonboonyanan
- Updated vi: Clytie Siddall

===============
Version 2.23.90
===============

- Remove inhibitors for the client when it disconnects
- Add log/debugging framework
- Add signal handling framework
- Add support for stopping/killing apps
- Add command line option to override autostart dirs (used by GDM)
- Improve QES,ES,CES error handling
- Remove gnome-login-sound (replaced by libcanberra-login-sound)
- Rework the capplet dialogs to use gobject.
- Make gnome-session-save tool use D-Bus API
- Fixed #521413, Fixes for sparse warnings in gnome-session (Kjartan Maraas)
- Fixed #546410, splash no longer disappear (Frederic Crozat)
- Fixed #546439, missing include for pid_t (Jens Granseuer)
- Fixed #546722, Need bump dbus-glib dependency to 0.76 (William Jon McCann)
- Fixed #546896, crash wen passing null strings to key_file_set_locale_string() (William Jon McCann)
- Fixed #547069, [patch] Logout by sending XSMP SaveYourselfRequest is broken (William Jon McCann)
- Fixed #547443, crashes on desktop parsing errors (William Jon McCann)
- Fixed #547619, gnome-session 2.23.6 doesn't compile on Solaris (Erwann Chenede -)
- Fixed #547769, part of gnome-wm potentially can break (Ghee Teo)
- Fixed #548129, gnome-session-properties doesn't create ~/.config/autostart (William Jon McCann)
- Fixed #548259, g-s thinks that metacity is 'not responding' if it was --replace'd (William Jon McCann)

Translations:
- Updated ar: Khaled Hosny
- Updated cs: Petr Kovar
- Updated es: Jorge González, Jorge Gonzalez
- Updated et: Ivar Smolin
- Updated fi: Timo Jyrinki
- Updated fr: Robert-André Mauchin
- Updated he: Yair Hershkovitz
- Updated ml: Harivishnu, Hari Vishnu
- Updated nb: Kjartan Maraas
- Updated pl: Tomasz Dominikowski  <tdominikowski@aviary.pl>
+	* pl.po: Updated Polish
- Updated pt: Duarte Loreto
- Updated pt_BR: Og Maciel <ogmaciel@gnome.org>
+    * pt_BR.po: Updated translation Vladimir
- Updated th: Theppitak Karoonboonyanan
- Updated zh_HK: Chao-Hsiung Liao
- Updated zh_TW: Chao-Hsiung Liao


==============
Version 2.23.6
==============

General

        * dbus_based branch redesign moved to trunk
            http://live.gnome.org/SessionManagement/GnomeSession.


Session Manager

        * New D-Bus API
        * Set environment variables in session bus activation environment (Ray Strode)

==============
Version 2.23.3
==============

General

	* Port gnome-session-save tool to new code base (Lucas Rocha)
	* Misc memory leaks fixes (Lucas Rocha)

Session Manager

	* Shutdown D-Bus, XSMP and GConf when session is over (Lucas Rocha)
	* Emit "SessionRunning" and "SessionOver" D-Bus signals when
	  stating and ending a session respectively (Lucas Rocha)
	* Splash screen goes away when session is fully running (Lucas Rocha)
	* Fix gnome-keyring-wrapper program to correctly set SSH_AUTH_SOCK env
	  variable on session initialization phase (Lucas Rocha)
	* Fix crash when appending apps defined on legacy session file (Ed Catmur)
	* Fix the support for custom application icons to be shown on splash screen
	  via startup notification (Lucas Rocha)
	* Deal with the possibility of multiple local connections, and recognize
	  "unix/" as a local connection prefix as well as "local/". Fixes XSMP
	  under Fedora Rawhide (Dan Winship)
	* Remove dialog shown after a timeout in at-spi wrapper program in order
	  to avoid false-positive at-spi errors (Lucas Rocha)

Session Properties Capplet

	* Add support for drag and drop of desktop files on Session Properties
	  capplet (Jared Moore)

Translators

	* Djihed Afifi (ar)
	* Ihar Hrachyshka (be@latin)
	* Jorge Gonzalez (es)
	* Clytie Siddall (vi)
	* Ignacio Casal Quinteiro (gl)
	* Gabor Kelemen (hu)

================
Version 2.23.2.2
================

Session Properties Capplet

	* Fixed a critical crash when adding/editing startup apps.
	* Don't mark widget labels for translation on .glade file.

================
Version 2.23.2.1
================

General

	* Fixed libglade dependency to 2.3.6.

==============
Version 2.23.2
==============

Session Properties Capplet

	* Capplet ported to new code base with several code cleanups.

Translators

	* Jorge Gonzalez (es)
	* Yair Hershkovitz (he)
	* Ignacio Casal Quinteiro (gl)
	* Yavor Doganov (bg)

================
Version 2.23.1.1
================

General

	* Don't install any files on old default-session directories anymore
          in order to avoid installation problems.

==============
Version 2.23.1
==============

General

	* First development version with the brand-new code base. It completes
          the first milestone which is to have a default session running. To know
          more about the new architecture:

            http://live.gnome.org/SessionManagement/NewGnomeSession.

          For now, the new code base still has quite a lot of regressions which
          we plan to fix during the 2.23/2.24 development cycle.

Translators

	* Daniel Nylander (sv)
	* Jorge Gonzalez (es)
	* Kjartan Maraas (nb)
	* Marcel Telka ()
	* Eskild Hustvedt (nn)
	* Nguyễn Thái Ngọc Duy (vi)

==============
Version 2.22.0
==============

Translators

	* Alexander Nyakhaichyk (be)
	* Kenneth Nielsen (da)
	* NikosCharonitakis (el)
	* Gabor Kelemen (hu)
	* Vasiliy Faronov (ru)
	* Marcel Telka (sk)

===============
Version 2.21.93
===============

Misc

	* Remove hard dependency on esound, this is handled by
	  gnome-settings-daemon now (Bastien Nocera)

Session Manager

	* Don't start the sound server, and play the login sound when
	  gnome-settings-daemon tells us the sound server has started (Bastien
	  Nocera)

Translators

	* Khaled Hosny (ar)
	* Runa Bhattacharjee (bn_IN)
	* David Lodge (en_GB)
	* Jorge González (es)
	* Stéphane Raimbault (fr)
	* Luca Ferretti (it)
	* Takeshi AIHANA (ja)
	* Žygimantas Beručka (lt)
	* sandeep shedmake (mr)

===============
Version 2.21.92
===============

Misc

	* Require gnome-keyring >= 2.21.92 (Stef Walter)

Session Manager

	* Correctly handle the environment variables given by gnome-keyring to
	  make it work in the whole session (Stef Walter)

Translators

	* Ihar Hrachyshka (be@latin)
	* Jordi Mallach (ca)
	* Ilkka Tuohela (fi)
	* Claude Paroz (fr)
	* Changwoo Ryu (ko)
	* Nabin Gautam (ne)
	* Wouter Bolsterlee (nl)
	* Yannig Marchegay (Kokoyaya) (oc)
	* Matej Urbančič (sl)
	* Yang Zhang (zh_CN)


===============
Version 2.21.91
===============

Session Manager

	* Make login sound work again (Bastien Nocera)

Translators

	* Khaled Hosny (ar)
	* Andre Klapper (de)
	* Massimo Furlani (fur)
	* Ignacio Casal Quinteiro (gl)
	* Arangel Angov (mk)
	* Tomasz Dominikowski (pl)
	* Leonardo Ferreira Fontenelle (pt_BR)
	* Duarte Loreto (pt)
	* Daniel Nylander (sv)
	* Theppitak Karoonboonyanan (th)
	* Baris Cicek (tr)
	* Woodman Tuen (zh_HK)
	* Woodman Tuen (zh_TW)

===============
Version 2.21.90
===============

Session Manager

	* Use max dithering again for splash (Frederic Crozat)
	* Change capplet title (Luca Ferretti)
	* HIG fixes in the capplet (Luca Ferretti)

Translators

	* Khaled Hosny (ar)
	* Petr Kovar (cs)
	* Jorge González (es)
	* Ivar Smolin (et)
	* Iñaki Larrañaga Murgoitio (eu)
	* Luca Ferretti (it)
	* Kjartan Maraas (nb)

==============
Version 2.21.5
==============

Session Manager

	* Set orientation with randr too (Luca Cavalli)
	* Fix warnings and plug leaks (Kjartan Maraas, Matthias Clasen,
	  Vincent)
	* HIG fixes (Dennis Cranston)
	* Remove randr calls, they are done by gnome-settings-daemon now
	  (Lucas Rocha)

Misc

	* Add session .desktop file (William Jon McCann)

Translators

	* Anas Husseini (ar)
	* Ihar Hrachyshka (be@latin)
	* Petr Kovar (cs)
	* Jorge González (es)
	* Ivar Smolin (et)
	* Iñaki Larrañaga Murgoitio (eu)
	* Claude Paroz (fr)
	* Seán de Búrca (ga)
	* Yair Hershkovitz (he)
	* Gabor Kelemen (hu)
	* Kjartan Maraas (nb)
	* Yannig Marchegay (Kokoyaya) (oc)
	* Vladimir Melo (pt_BR)
	* Vasiliy Faronov (ru)
	* Matej Urbančič (sl)
	* Daniel Nylander (sv)
	* Clytie Siddall (vi)

==============
Version 2.20.1
==============

Misc

	* Require GTK+ >= 2.11.1 (Sebastian Dröge)

Translators

	* Ihar Hrachyshka (be@latin)
	* Alexander Shopov (bg)
	* Ilkka Tuohela (fi)
	* Changwoo Ryu (ko)

==============
Version 2.20.0
==============

Translators

	* Anas Husseini (ar)
	* Jordi Mallach (ca)
	* Ask Hjorth Larsen (da)
	* NikosCharonitakis (el)
	* Stéphane Raimbault (fr)
	* Luca Ferretti (it)
	* Artur Flinta (pl)
	* Nickolay V. Shmyrev (ru)
	* Peter Tuhársky (sk)
	* Горан Ракић (sr)

===============
Version 2.19.92
===============

Misc

	* Fix compiz support in gnome-wm (Kristian Hoegsberg)

Translators

	* Andre Klapper (de)
	* NikosCharonitakis (el)
	* Adam Weinberger (en_CA)
	* Ivar Smolin (et)
	* Žygimantas Beručka (lt)
	* Duarte Loreto (pt)

===============
Version 2.19.90
===============

Translators

	* Inaki Larranaga Murgoitio (eu)
	* Ankit Patel (gu)
	* Andre Klapper (de)
	* Jovan Naumovski (mk)
	* Vladimir Melo (pt_BR)
	* I. Felix (ta)

==============
Version 2.19.6
==============

Misc

	* Have a better/smoother fadeout animation for logout dialog when
	  there's a compositing manager (Travis Watkins, Vincent)
	* Add gnome-breakpad to GTK_MODULES if bug-buddy is present
	  (Fernando Herrera)

Translators

	* Ilkka Tuohela (fi)
	* Gabor Kelemen (hu)
	* Takeshi AIHANA (ja)
	* Wouter Bolsterlee (nl)
	* Bharat Kumar (te)
	* Yang Zhang (zh_CN)

==============
Version 2.19.5
==============

Misc

	* Use g_option_context_set_translation_domain() (Vincent)
	* Fix compilation not working on some dates... (Vincent)

Translators

	* Tomasz Dominikowski (pl)
	* Danishka Navin (si)
	* Pavan Kumar (te)
	* Clytie Siddall (vi)

==============
Version 2.19.4
==============

Session Manager

	* Use g_timeout_add_seconds() when possible (Vincent)
	* Improve a bit "wrong clock" check when the user has reconfigured his
	  clock (Vincent)
	* Fix crash when icons on the splash screen needs to be relayout-ed
	  (Vincent)
	* Fix compilation issue on Solaris (Vincent)

Session Properties Dialog

	* Fix a crash when the comment for a .desktop file is not defined and a
	  startup program is disabled (Vincent)

Misc

	* Require glib 2.13.0

Translators

	* Tshewang Norbu (dz)

==============
Version 2.19.3
==============

Session Manager

	* Don't do logout fade if there's a compositing manager running
	  (Ray Strode, Bastien Nocera)
	* Start accessibility if GNOME_ACCESSIBILITY is set (Wouter Bolsterlee,
	  Vincent)

Session Properties Dialog

	* Small code cleanup (Vincent)

Translators

	* David Lodge (en_GB)
	* Jorge González (es)
	* Ivar Smolin (et)
	* Espen Stefansen (nb)
	* Daniel Nylander (sv)
	* Theppitak Karoonboonyanan (th)

===============
Version 2.19.2
===============

Session Manager

	* Use g_usleep() instead of usleep() (Bastien Nocera)
	* Don't hardcode start of assistive technologies software (Ariel Rios,
	  Vincent)
	* Fix splash screen in RTL environments (Yair Hershkovitz)
	* Improve splash screen on old displays (Fedora patch)
	* Make it possible to use a shaped window for the splash screen
	  (Fedora patch, Vincent)
	* Display the name of the started application in splash screen even if
	  there's no icon (Vincent)
	* Don't use deprecated functions (Christian Persch, Vincent)
	* Don't hardcode esound for the sound daemon (Matthias Clasen, Vincent)
	* Make the fade on logout faster (Christof Krüger)
	* Plug leaks (Vincent)
	* Warn the user if he logs in as root (Vincent, Dan Winship)
	* Warn the user if the clock is totally wrong and let him launch a
	  config tool (Vincent, Dan Winship)
	* Change strings about saving the session to be more user-friendly
	  (Vincent)
	* Remove workaround that chrooted esd to / (fixed in esd) (Vincent)
	* Make it possible to save a session with multiple clients that are the
	  same program (Hans de Goede, Dan Winship)
	* Use the new socket path for GDM (Loïc Minier)

Session Properties Dialog

	* Use Add/Remove instead of New/Delete for handling startup programs
	  (Luca Ferretti)
	* Show the comments in the startup programs list (Vincent)
	* Change strings about saving the session to be more user-friendly
	  (Vincent)
	* Make it possible to sort the program lists by clicking on the headers
	  (Vincent)
	* Create a non-localized version of the Comment field in .desktop files
	  if necessary (Vincent)

Misc

	* Remove xrdb check (Andreas Hanke)
	* Build fixes (Andreas Hanke, Christian Persch)
	* Require glib 2.12.0 (Vincent)
	* Add --with-time-utility configure flag to set the executable that is
	  used to configure the time of the computer (Vincent)
	* Don't require libgnome-desktop anymore (Vincent)
	* Add support for beryl in gnome-wm (Alex)

Translators

	* Peter Bach (da)
	* Jorge González (es)
	* Ivar Smolin (et)
	* Iñaki Larrañaga Murgoitio (eu)
	* Ignacio Casal Quinteiro (gl)
	* Yair Hershkovitz (he)
	* Espen Stefansen (nb)
	* Yannig MARCHEGAY (Kokoyaya) (oc)
	* Yang Zhang (zh_CN)

===============
Version 2.18.0
===============

Session Manager

	* Drop legacy http_proxy support entirely since it is causing too
	  many issues (Ray Strode)

Session Properties Dialog

	* Remove invalid category in .desktop file (Christian Kirbach)

Translators

	* norbu (dz)
	* Ankit Patel (gu)
	* Luca Ferretti (it)
	* Takeshi AIHANA (ja)
	* Erdal Ronahi (ku)
	* Gintautas Miliauskas (lt)
	* Jovan Naumovski (mk)
	* wadim dziedzic (pl)
	* Og Maciel (pt_BR)
	* Leonid Kanter (ru)
	* Laurent Dhima (sq)
	* Горан Ракић (sr)
	* Maxim Dziumanenko (uk)
	* Woodman Tuen (zh_HK)

===============
Version 2.17.92
===============

Session Manager

	* Use the correct rate when a X resolution is configured
	  (Jens Granseuer)
	* Don't exit when there's an unexpected dbus disconnection
	  (Jan de Groot)

Session Properties Dialog

	* Update the category for the .desktop file

Misc

	* Distribute MAINTAINERS (Kjartan Maraas)

Translators

	* Alexander Shopov (bg)
	* Jordi Mallach (ca)
	* Hendrik Richter (de)
	* Ivar Smolin (et)
	* Ilkka Tuohela (fi)
	* Gabor Kelemen (hu)
	* Kjartan Maraas (nb)
	* Wouter Bolsterlee (nl)
	* Duarte Loreto (pt)
	* Maxim Dziumanenko (uk)
	* Funda Wang (zh_CN)

===============
Version 2.17.91
===============

Session Manager

	* Increase timeout for starting at-spi-registryd. This should prevent
	  showing a window warning that accessibility won't work on slow
	  machines. (Frédéric Crozat)
	* Hardcode start of assistive technologies software again since the
	  control center won't be ready for this in 2.18 (Vincent)

Translators

	* Khaled Hosny (ar)
	* Ihar Hrachyshka (be)
	* Lasse Bang Mikkelsen (da)
	* David Lodge (en_GB)
	* Ivar Smolin (et)
	* Ilkka Tuohela (fi)
	* Claude Paroz (fr)
	* Young-Ho Cha (ko)
	* Kjartan Maraas (nb)
	* Tino Meinen (nl)
	* Og Maciel (pt_BR)
	* Clytie Siddall (vi)

=================
Version 2.17.90.1
=================

Misc

	* Fix installation of default.session (Vincent)

===============
Version 2.17.90
===============

Session Manager

	* Kill the clients in reverse order of priority, which makes logging
	  out a better experience (metacity is killed last) (Tom Tromey)
	* Remove useless code (Claudio Saavedra)

Session Properties Dialog

	* Update categories in the .desktop file for the new control center
	  (Vincent)
	* Use new icon (Vincent)

Misc

	* Remove useless files and move some files in the module (Vincent)
	* New session properties icon (Jakub Steiner)

Translators

	* Khaled Hosny (ar)
	* Hendrik Richter (de)
	* David Lodge (en_GB)
	* Daniel Nylander (sv)
	* Theppitak Karoonboonyanan (th)

==============
Version 2.17.5
==============

Misc

	* Add a configure option to specify the directory of at-spi-registryd
	  (Ariel Rios, Vincent)
	* Build improvements (Vincent)
	* Remove spec file (Vincent)

Session Manager

	* Warn the user about more fatal errors (Tom Tromey)
	* Use gtk-window-decorator for compiz (Vincent)
	* Fix crash when two at-spi-registryd are running (Li Yuan)
	* Don't hardcode start of assistive technologies software (Ariel Rios,
	  Vincent)
	* Start the dbus daemon if it's not running (Julio M. Merino Vidal)
	* Kill esd on exit (Loïc Minier)
	* Fix priority order of autostart desktop files with the same name
	  (Vincent)
	* Fix invalid use of memory (Tom Tromey)
	* Fix quoting of commands when migration to new autostart system
	  (Tom Tromey)

Session Properties Dialog

	* Fix priority order of autostart desktop files with the same name
	  (Vincent)
	* Report connection errors more gracefully (Tom Tromey)
	* Use GOption (Vincent)
	* Reuse existing desktop files instead of overwriting them (Vincent)
	* Rework code of edition of startup programs so that it actually works
	  well and comply with the freedesktop spec (Vincent)
	* Use a toggle button to enable/disable startup programs (Vincent)
	* Add a "Save current session" button (Josselin Mouette)
	* Remove "ask to save" toggle button (Josselin Mouette)
	* Remove edition of session names (Vincent)
	* Remove splash screen toggle button (Vincent)
	* Change order of the tabs (Vincent)
	* Fix desktop file to use a correct icon (Vincent)
	* Improve default size of the dialog (Vincent)
	* Show names instead of commands for the startup programs (Vincent)
	* HIGify quit dialog (Michael Terry, Vincent)

Translators

	* Khaled Hosny (ar)
	* Ihar Hrachyshka (be)
	* Adam Weinberger (en_CA)
	* David Lodge (en_GB)
	* Francisco Javier F. Serrador (es)
	* Ivar Smolin (et)
	* Raivis Dejus (lv)
	* Kjartan Maraas (nb)
	* Eddy Petrișor (ro)
	* Theppitak Karoonboonyanan (th)
	* Clytie Siddall (vi)

==============
Version 2.17.3
==============

Misc

	* Make it build on older distros (Vincent)
	* Allow enabling/disabling tcpwrappers (Saleem Abdulrasool)
	* Update man pages (Vincent)

Session Manager

	* Fix bug where clicking logout button doesn't work if
          mouse pointer happens to be on top of the button when
          the window is mapped (bug 52047) (Ray Strode)
	* Make treview searching search the right column
	  (Brent Smith)
	* Get rid of init as the parent of all processes
	  (Tom Tromey)
	* Add fading effect for the splash screen icons
	  (Daniel Godás)
	* Add command line option to avoid confirmation dialog
	  on kill (William McCann)
	* Add fvwm support (Ken Deeter)
	* Add support for compiz (Vincent)
	* Do less work if $WINDOW_MANAGER is set (Vincent)
	* Set http_proxy variable correctly (Ray Strode)
	* Don't set http_proxy variable at all if the proxy
	  requires authentication (Ray Strode)

Translators

	* Daniel Nylander (sv)

==============
Version 2.17.2
==============

  Session Manager

	* Don't pop up useless dialog when saving session (Tom Tromey)
	* Accept Enter key to close dialog when editing a session/startup
	  program (Tom Tromey)
	* Set http_proxy environment variable based on GNOME settings
	  for legacy apps (Ray Strode)
	* Launch at-spi-registryd for accessibility (Ariel Ros)
	* Improve gnome-session-remove command line handling (Tom Tromey)
	* Use Program instead of Command in the capplet (Tom Tromey)

  Misc

	* Check for libXau existence (Vincent, Frederic Peters)
	* Add configure switch to disable esd support (Leonardo Boshell)

  Translators

	* Djihed Afifi (ar)
	* Guillaume Savaton (eo)
	* Ignacio Casal Quinteiro (gl)
	* Åsmund Skjæveland (nn)

==============
Version 2.16.1
==============

  Misc

	* Updated man pages from Debian (Kjartan Maraas)

  Translators

	* Rostislav "zbrox" Raykov (bg)
	* David Lodge (en_GB)
	* Ivar Smolin (et)
	* Luca Ferretti (it)

==============
Version 2.16.0
==============

  Misc

	* Updated splash screen (Andreas Nilsson, Vincent)

  Translators

	* Jordi Mallach (ca)
	* Kostas Papadimas (el)
	* Robert-André Mauchin (fr)
	* Rajesh Ranjan (hi)
	* Gabor Kelemen (hu)
	* Gintautas Miliauskas (lt)
	* Raivis Dejus (lv)
	* Duarte Loreto (pt)
	* Vasiliy Faronov (ru)
	* Felix (ta)

===============
Version 2.15.92
===============

  Session Manager

	* Fix crash caused by debug output on Solaris (Brian Cameron)

  Translators

	* Rostislav "zbrox" Raykov (bg)
	* Khandakar Mujahidul Islam (bn)
	* Mindu Dorji (dz)
	* Mate ORY (hu)
	* Satoru SATOH (ja)
	* Young-Ho Cha (ko)
	* Artur Flinta (pl)
	* Matic Žgur (sl)
	* Daniel Nylander (sv)
	* Maxim Dziumanenko (uk)
	* Clytie Siddall (vi)
	* Funda Wang (zh_CN)

===============
Version 2.15.91
===============

  Session Manager

	* Fix leaks (Rodrigo Moya, Vincent)
	* Use GOption (Michael Terry)
	* Make it possible to really disable the login sound (Vincent)
	* Set the right parent window for an error dialog (Vincent)
	* Update keyring daemon DISPLAY environment variable if it's already
	  running (Jon Nettleton)
	* Fix sensitivity of edit/delete buttons when editing sessions
	  (Don Scorgie, Vincent)
	* Add support for e16 window manager in gnome-wm (Kim Woelders)
	* Fix edition of startup programs containing a space in a command line
	  argument (Vincent)
	* Fix warning (Kjartan Maraas)
	* Backward compatibility to run orca if gnopernicus is not available
	  and the gconf key is set to gnopernicus (Bill Haneman, Willie Walker)

  Misc

	* Add gnome-keyring dependency (Vincent)

  Translators

	* Runa Bhattacharjee (bn_IN)
	* Rhys Jones (cy)
	* Jochen Skulj (de)
	* Francisco Javier F. Serrador (es)
	* Priit Laes (et)
	* Iñaki Larrañaga Murgoitio (eu)
	* Ilkka Tuohela (fi)
	* Ankit Patel (gu)
	* Fano Rajaonarisoa (mg)
	* Jovan Naumovski (mk)
	* Ani Peter (ml)
	* Kjartan Maraas (nb)
	* Tino Meinen (nl)
	* Subhransu Behera (or)
	* A S Alam (pa)
	* Evandro Fernandes Giovanini (pt_BR)
	* Duarte Loreto (pt)
	* Leonid Kanter (ru)
	* Marcel Telka (sk)
	* Jayaradha N (ta)
	* Theppitak Karoonboonyanan (th)
	* Woodman Tuen (zh_HK)
	* Woodman Tuen (zh_TW)

===============
Version 2.15.90
===============

  Translators

	* Subhransu Behera (or)

==============
Version 2.15.4
==============

  Session Manager

	* Improve verbosity string (Glynn Foster)
	* Fix critical warning when removing a client (Kjartan Maraas)
	* Create autostart directory if it doesn't exist (Ray Strode)
	* Give generated desktop filenames .desktop extension when encountering
	  naming conflicts (Ray Strode)
	* Launch gnome-settings-daemon through dbus (Sergey Udaltsov)

  Misc

	* Use po/LINGUAS (Claudio Saavedra)
	* Require intltool 0.35.0 (Vincent)
	* Add gnome-settings-daemon (from gnome-control-center) dependency
	  (Sergey Udaltsov)
	* Add dbus dependency (Vincent)

  Translators

	* Khandakar Mujahidul Islam (bn_IN)
	* Guillaume Savaton (eo)
	* Laurent Richard (fr)
	* Young-Ho Cha (ko)
	* Rahul Bhalerao (mr)
	* Pablo Saratxaga (wa)

==============
Version 2.15.1
==============

  Session Manager

	* Use libgnomeui functions instead of libegg (Vincent)
	* Fix "try again" dialog never disappearing (Frédéric Crozat)
	* Fix crash in 64 bits computers (Joe Marcus Clarke)
	* Reduce default verbosity (Fryderyk Dziarmagowski)

  Translators

	* Mindu Dorji (dz)

==============
Version 2.14.1
==============

  Session Manager

	* Share one GConfClient (Rodrigo Moya)
	* Plug leaks (Kjartan Maraas)

  Translators

	* Ales Nyakhaychyk (be)
	* Pema Geyleg (dz)
	* Kostas Papadimas (el)
	* Laurent Richard (fr)
	* Gil Osher (he)

==============
Version 2.14.0
==============

  Session Manager

	* Support old directory for autostart .desktop files (Rodrigo)
	* Fix leak (Rodrigo)
	* Fix enabling/disabling of autostart services (Vincent)

  Misc
	* New splash screen (Thomas Wood)

  Translators

	* Petr Tomeš (cs)
	* Rhys Jones (cy)
	* Martin Willemoes Hansen (da)
	* Hendrik Richter (de)
	* Ivar Smolin (et)
	* Elnaz Sarbar (fa)
	* Raivis Dejus (lv)
	* Sebastian Ivan (ro)
	* Daniel Nylander (sv)
	* Maxim Dziumanenko (uk)

===============
Version 2.13.92
===============

  Session Manager

	* Fixes for writing the list of startup applications (Rodrigo Moya)
	* Start gnome-settings-daemon as early as possible (Rodrigo Moya)
	* Use $datadir/gnome/autostart for autostart .desktop file
	  (Rodrigo Moya)

  Translators

	* Ivar Smolin (et)
	* Iñaki Larrañaga (eu)
	* Mate ORY (hu)
	* Luca Ferretti (it)
	* Takeshi AIHANA (ja)
	* Vladimer Sichinava (ka)
	* Žygimantas Beručka (lt)
	* Duarte Loreto (pt)
	* Leonid Kanter (ru)
	* Laurent Dhima (sq)
	* Woodman Tuen (zh_HK)
	* Woodman Tuen (zh_TW)

===============
Version 2.13.91
===============

  Session Manager

	* Really start vino asynchronously (Michael Meeks)

  Translators

	* Miloslav Trmac (cs)
	* Ivar Smolin (et)
	* Слободан Д. Средојевић (sr)
	* Theppitak Karoonboonyanan (th)
	* Wang Jian (zh_CN)

===============
Version 2.13.90
===============

  Session Manager

	* Add program autostart with .desktop files in known directories,
	  like /usr/share/autostart (Rodrigo Moya, Ray Strode)

  Misc

	* Depends on gnome-desktop-2.0

  Translators

	* Rostislav "zbrox" Raykov (bg)
	* Jordi Mallach (ca)
	* Adam Weinberger (en_CA)
	* Francisco Javier F. Serrador (es)
	* Ivar Smolin (et)
	* Ilkka Tuohela (fi)
	* Ignacio Casal Quinteiro (gl)
	* Ankit Patel (gu)
	* Luca Ferretti (it)
	* Kjartan Maraas (nb)
	* Tino Meinen (nl)
	* Kjartan Maraas (no)
	* Evandro Fernandes Giovanini (pt_BR)
	* Marcel Telka (sk)
	* Theppitak Karoonboonyanan (th)
	* Clytie Siddall (vi)

==============
Version 2.13.5
==============

  Misc

	* Set GTK+ modules to load so that all programs, even those started
	  early, use them (Muktha Narayan)

==============
Version 2.13.4
==============

  Misc

	* Make GNOME crash on critical warnings (Kjartan Maraas, Vincent Untz,
	  Federico Mena Quintero, Elijah Newren)
	* Only run the reverse DNS check if necessary (Rodrigo Moya)
	* Login speed improvements (Rodrigo Moya)
	* New splash screen (Thomas Wood)

  Translators

	* Rostislav "zbrox" Raykov (bg)
	* Khandakar Mujahidul Islam (bn)
	* Kostas Papadimas (el)
	* Priit Laes (et)
	* Iñaki Larrañaga Murgoitio (eu)
	* Erdal Ronahi (ku)
	* Christian Rose (sv)
	* Theppitak Karoonboonyanan (th)
	* Clytie Siddall (vi)

==============
Version 2.12.0
==============

  Misc

	* New splash screen for GNOME 2.12 (Felix Dietze)

  Translators

	* Bryn Salisbury (cy)
	* Francisco Javier F. Serrador (es)
	* Christophe Merlet (RedFox) (fr)
	* Gabor Kelemen (hu)
	* Norayr Chilingaryan (hy)
	* Mohammad DAMT (id)
	* Žygimantas Beručka (lt)
	* Duarte Loreto (pt)
	* Sebastian Ivan (ro)
	* Leonid Kanter (ru)
	* Baris Cicek (tr)
	* Maxim Dziumanenko (uk)

===============
Version 2.11.91
===============

  Fixes

	* Fix rendering of splash screen text (Ray Strode)
	* Fix RandR support to correctly use host settings (Sebastien Bacher)

  Translators

	* GNOME PL Team (pl)
	* Wang Jian (zh_CN)
	* Woodman Tuen (zh_TW)

===============
Version 2.11.90
===============

  Fixes

	* Fix some memory leaks (Aivars Kalvans, Federico)
	* Make the session capplet have a window icon (Jaap A. Haitsma)
	* Don't set deprecated default window manager key in gnome-wm (Mark)

  Misc

	* Remove gnome-smproxy (Mark)
          See: http://mail.gnome.org/archives/desktop-devel-list/2005-July/msg00527.html

  Translators

	* Rostislav "zbrox" Raykov (bg)
	* Martin Willemoes Hansen (da)
	* Hendrik Richter (de)
	* Priit Laes (et)
	* Ilkka Tuohela (fi)
	* Ignacio Casal Quinteiro (gl)
	* Norayr Chilingaryan (hy)
	* Takeshi AIHANA (ja)
	* Kjartan Maraas (nb)
	* Shiva Prasad Pokharel (ne)
	* Kjartan Maraas (no)
	* Marcel Telka (sk)
	* Laurent Dhima (sq)
	* Данило Шеган (sr)
	* Theppitak Karoonboonyanan (th)
	* Clytie Siddall (vi)
	* Woodman Tuen (zh_TW)

==============
Version 2.11.1
==============

  Misc

	* Remember the last chosen logout action (Carlos Garnacho Parro)
	* Clean up the ICE code slightly (Iain Holmes)

  Translators

	* Jordi Mallach (ca)
	* Miloslav Trmac (cs)
	* Frank Arnold (de)
	* Kostas Papadimas (el)
	* Adam Weinberger (en_CA)
	* Francisco Javier F. Serrador (es)
	* Priit Laes (et)
	* Elnaz Sarbar (fa)
	* Ankit Patel (gu)
	* Hasbullah Bin Pit (ms)
	* Tino Meinen (nl)
	* Evandro Fernandes Giovanini (pt_BR)
	* Steve Murphy (rw)
	* Baris Cicek (tr)
	* Pablo Saratxaga (wa)

==============
Version 2.10.0
==============

  Misc

	* New splash screen (Sami "alump" Viitanen)
        * Improved schemas string (Byran Clark, Kjartan Maraas)

  Translators

	* Vladimir \"Kaladan\" Petkov (bg)
	* Jordi Mallach (ca)
	* Miloslav Trmac (cs)
	* Martin Willemoes Hansen (da)
	* Frank Arnold (de)
	* Kostas Papadimas (el)
	* Adam Weinberger (en_CA)
	* David Lodge (en_GB)
	* Francisco Javier F. Serrador (es)
	* Ivar Smolin (et)
	* Pauli Virtanen (fi)
	* Christophe Merlet (RedFox) (fr)
	* Ankit Patel (gu)
	* Gil Osher (he)
	* Gabor Kelemen (hu)
	* Luca Ferretti (it)
	* Takeshi AIHANA (ja)
	* Changwoo Ryu (ko)
	* Žygimantas Beručka (lt)
	* Kjartan Maraas (nb)
	* Tino Meinen (nl)
	* Åsmund Skjæveland (nn)
	* Kjartan Maraas (no)
	* GNOME PL Team (pl)
	* Evandro Fernandes Giovanini (pt_BR)
	* Duarte Loreto (pt)
	* Mişu Moldovan (ro)
	* Leonid Kanter (ru)
	* Marcel Telka (sk)
	* Laurent Dhima (sq)
	* Данило Шеган (sr)
	* Christian Rose (sv)
	* Theppitak Karoonboonyanan (th)
	* Maxim Dziumanenko (uk)
	* Simon Kemisho (xh)
	* Wang Jian (zh_CN)
	* Woodman Tuen (zh_TW)

=============
Version 2.9.4
=============

  Session Manager

	* Use GDM's logout actions protocol to shutdown/reboot (Raffaele Sandrini, Mark)
	* Change "Prompt" to "Ask" in the configuration dialog (Vincent Noel)
	* Fix compiler warnings (Jens Granseuer)
	* Slave the lifecycle of the keyring daemon to the session (Alex Larsson)

  Translators

	* Jordi Mallach (ca)
	* Miloslav Trmac (cs)
	* Adam Weinberger (en_CA)
	* Francisco Javier F. Serrador (es)
	* Kjartan Maraas (nb)
	* Kjartan Maraas (no)
	* Laurent Dhima (sq)
	* Christian Rose (sv)
	* Zuza Software Foundation (zu)

=============
Version 2.9.2
=============

  Misc

	* Add X-GNOME-Bugzilla-Version to .desktop file (Christoffer Olsen)
	* Install .desktop file in $(datadir)/applications (Mark)

  Translators

	* Martin Willemoes Hansen (da)
	* Zuza Software Foundation (nso)

=============
Version 2.8.1
=============

  Session Manager

	* Don't crash gnome-session-remove if we can't get a program name (Ray Strode)
	* Add a big bunch of debug spew (Federico)
	* Don't leak the splash screen background image (Kjartan)
	* Remove the purge timeout when re-incarnating a client (Federico)

  Misc

	* Use automake 1.7 (James Henstridge)

  Translators

	* Adam Weinberger (en_CA)
	* Changwoo Ryu (ko)

=============
Version 2.8.0
=============

  Session Manager

	* New splash screen (Jakub Steiner)

  Translators

	* Miloslav Trmac (cs)
	* Adam Weinberger (en_CA)
	* Priit Laes (et)
	* Jesús Bravo Álvarez (gl)
	* Gabor Kelemen (hu)

==============
Version 2.7.92
==============

  Session Manager

	* Fix various warnings, deprecated API usage etc. (Kjartan Maraas)

  Translators

	* Kemal Sanjta (bs)
	* Kjartan Maraas (nb)
	* Laurent Dhima (sq)
	* Maxim Dziumanenko (uk)

==============
Version 2.7.91
==============

  Session Manager

	* Add support for activating Vino (Mark)

  Translators

	* Kartik Mistry (gu)

=============
Version 2.7.4
=============

  Fixes

	* Fix the fadeout at logout on Xinerama (Bastien Nocera)

  Translators

	* Pawan Chitrakar (ne)

=============
Version 2.7.3
=============

  Fixes

	* Don't start a keyring if one is already available (Alex Larsson)
	* Fix minor text drawing issue with the slash screen
	                                     (Carlos Romero, Simone Gotti)

  Translators

	* Evandro Fernandes Giovanini (pt_BR)
	* Laurent Dhima (sq)
	* zhakanini (ta)

=============
Version 2.7.1
=============

  Translators

	* Reinout van Schouwen (nl)

=============
Version 2.6.1
=============

  Fixes

	* Fix a crash with the logout dialog on multi-screen setups (Mark)

  Translators

	* Zuza Software Foundation (af)
	* Hizkuntza Politikarako Sailburuordetza (eu)
	* Guntupalli Karunakar (gu)
	* John C Barstow (mi)

=============
Version 2.6.0
=============

  Translators

	* Alexander Winston (en_CA)
	* Gareth Owen (en_GB)
	* Jitendra Shah (mr)
	* Mişu Moldovan (ro)
	* Leonid Kanter (ru)

==============
Version 2.5.92
==============

  Translators

	* Vladimir \"Kaladan\" Petkov (bg)
	* Dinesh Nadarajah (ta)
	* Maxim Dziumanenko (uk)

==============
Version 2.5.91
==============

  Session Manager

	* New splash screen for 2.6 (Jakub Steiner)
	* Make the capplet use GtkFileChooser (Chris Kelso)

  Translations

	* Mətin Əmirov (az)
	* Laszlo Dvornik (hu)
	* Christopher R. Gabriel (it)
	* Amanpreet Singh Alam (pa)
	* Paisa Seeluangsawat (th)

==============
Version 2.5.90
==============

  Translations

	* Laurent Dhima (sq)
	* Paisa Seeluangsawat (th)

=============
Version 2.5.5
=============

  Session Manager

	* Set accessible role on the logout dialog (Padraig)
	* Update help links to the new user-guide location (Mark)

  Session Properties Dialog

	* Make Escape actually with the warning dialog (Bala)
	* Don't warn user about discarding changes if no changes have been made (Bala)

  Translators

	* Changwoo Ryu (ko)
	* Robert Sedak (hr)
	* Maxim Dziumanenko (uk)

=============
Version 2.5.4
=============

  Session Manager

	* Don't show silly icon when we can't find an splash icon (Glynn)
	* Update the icon map (Luca Ferretti)
	* Fix usage of deprecated function (Kjartan)

  Misc

	* Fix issue with underquoted definition of AM_PATH_ESD (Alexander Winston)
	* Kill unused .desktop file (Mark)
	* Update support for lwm (James F. Carter)
	* Add support for openbox (Michael Terry)

  Translators

	* Kjartan Maraas (no)
	* Laurent Dhima (sq)
	* Miloslav Trmac (cs)
	* Mətin Əmirov (az)
	* Reinout van Schouwen (nl)

=============
Version 2.5.3
=============

  Session Manager

	* Fix lock-up on log out with glib 2.3.1 (Mark)
	* Use a managed window for the logout dialog when accessibility
	  is enabled (Mark, Bill Haneman)
	* Require gtk+ 2.3.x and dump the pangox coverage cache hack (Mark)

  Translators

	* Duarte Loreto (pt)
	* Isam Bayazidi (ar)
	* Paul Duffy (ga)
	* Sanlig Badral (mn)

=============
Version 2.5.2
=============

  Session Manager

	* Start the gnome-keyring daemon at login (Alexander Larsson)
	* Shut down the GConf daemon at logout (W. Michael Petullo, Mark)
	* Don't set the full path of the splash screen in GConf (Mark)

  Translators

	* Kostas Papadimas (el)
	* Paisa Seeluangsawat (th)

=============
Version 2.5.1
=============

  Misc

	* Add a --enable-deprecations build flag (Mark)

  Translators

	Dafydd Harries (cy)
	Miloslav Trmac (cs)

=============
Version 2.4.1
=============

  Translators

	Åsmund Skjæveland (nn)
	Evandro Fernandes Giovanini (pt_BR)
	Žygimantas Beručka (lt)

=============
Version 2.4.0
=============

  Translators

	Joël Brich (eo)
	Mişu Moldovan (ro)
	Nikos Charonitakis (el)
	Paisa Seeluangsawat (th)

==============
Version 2.3.90
==============

  Translators

	Christian Rose (sv)
	Dafydd Harries (cy)
	Francisco Javier F. Serrador (es)
	Jordi Mallach (ca)
	Mujahidul Islam (bn)
	Reinout van Schouwen (nl)

=============
Version 2.3.7
=============

  Session Manager

	* Funky new splash screen (Jakub Steiner)

  Translators

	Changwoo Ryu (ko)
	Kjartan Maraas (no)
	Mətin Əmirov (az)
	Sanlig Badral (mn)
	Stanislav Visnovsky (sk)
	Tõivo Leedjärv (et)
	Данило Шеган (sr)

===============
Version 2.3.6.2
===============

  Session Manager

	* Fix warnings on startup (Mark)

  Translators

	Takeshi AIHANA (ja)

===============
Version 2.3.6.1
===============

  Session Manager

	* Workaround problem where smproxy was causing gnome-session to save itself
	  as part of the session (Mark, Malcolm Tredinnick, Fredrik Jönsson)
	* Plug a memory leak (Frederic Crozat)

  Translators

	Anurag Seetha (hi)
	Hasbullah Bin Pit (ms)
	Laurent Dhima (sq)

=============
Version 2.3.6
=============

  Session Manager

	* Various HIG fixes to logout and session properties dialogs (Dennis Cranston)
	* Add patch to point applications at a GTK+ 1.2 rc file which
	  the settings modifies (Jonathan Blandford)

  Translators

	Ales Nyakhaychyk (be)
	Christophe Merlet (RedFox) (fr)
	Duarte Loreto (pt)
	Evandro Fernandes Giovanini (pt_BR)
	Kostas Papadimas (el)
	Pablo G. del Campo (es)
	Reinout van Schouwen (nl)
	Wang Jian (zh_CN)

=============
Version 2.3.4
=============

  Session Manager

	* Add IPv6 support (Shailesh Mittal)

  Misc

	* Remove old docs cruft (John Fleck)

  Translators

	Abel Cheung (zh_TW)
	Andras Timar (hu)
	Christian Neumair (de)
	Jeroen van der Vegt (nl)
	Mətin Əmirov (az)
	Данило Шеган (sr)

===============
Version 2.3.3.1
===============

	* Add support for launching assistive technologies (Bill Haneman)
	* HIG fixes for the logout dialog (Dennis Cranston)
	* Reduce flicker in logout effect (Anders)
	* Make the splash screen no be override redirect (Havoc)
	* Only allow numeric values in spin buttons (Pasupathi Duraisamy)
	* Enabled "Edit" and "Delete" buttons only if something is actually
	  selected (Balamurali Viswanathan)

  Translators

	* Abel Cheung (zh_TW), Arman Aksoy (Armish) (tr), Christian Rose (sv),
	  Christophe Merlet (RedFox) (fr), Christopher R. Gabriel (it),
	  Dafydd Harries (cy), Dmitry G. Mastrukov (ru), Gil 'Dolfin' Osher (he),
	  GNOME PL Team (pl), Jeroen van der Vegt (nl), Joël Brich (eo),
	  Jordi Mallach (ca), Kjartan Maraas (no), Laurent Dhima (sq),
	  Miloslav Trmac (cs), Ole Laursen (da), Pablo Gonzalo del Campo (es),
	  Pauli Virtanen (fi) and Samuel Jon Gunnarsson (is).

=============
Version 2.3.3
=============

	* Add gnome-session-remove command line utility (Mark)
	* Funky new 2.3.x splash screen (Jeff Waugh)
	* Fix crash with logout dialog (Jon Svendsen)
	* Remove gnome-terminal from the default session (Bala)
	* Remove linc usage (Michael)
	* Port gnome-session-properties to GtkDialog (silversides AT btinternet.com)

Translators

	* Dafydd Harries (cy.po), Dinesh Nadarajah (ta.po), Jordi Mallach (ca.po),
	  Miloslav Trmac (cs.po) and Paul Duffy (ga.po).

=============
Version 2.3.2
=============

	* Allow changing current session with gnome-session-save (Mark)
	* s/guint/GtkType (Aron Griffis)
	* Fix MAXHOSTNAMELEN usage in smproxy (Julio Merino)
	
Misc

	* Fix sgmldocs.make and xmldocs.make (Art Haas)
	* Cygwin fixes (Masahiro Sakai)

Translations

	* Abel Cheung (zh_TW), Christian Rose (sv), Danilo Šegan (sr, sr@Latn),
	  Duarte Loreto (pt) and Telsa Gwynne (cy).

=============
Version 2.3.1
=============

	* Primitive customization for icons on startup. (Sergey)
	* Xrandr support (Alexander Larsson)

Translations

	* bn(Taneem Ahmed), fa(Roozbeh Pournader), ga(Paul Duffy)
	  mn(Sanlig Badral), ms(Hasbullah Bin Pit)
	
=============
Version 2.3.0
=============

	* New logout effect (Iain Holmes, Mark)
	* Fix hang with multiple apps requesting interaction (Arvind)
	* Implement muli-screen support for logout help (Bala, Mark)
	* Test wrapper for testing out logout effects (Mark)
	* Warning fixes (Mark)

Translations

	* az(Metin Amiroff), be(Belarusian team), fa(Roozbeh Pournader),
	  hi(Gnome Hindi Team), ml(FSF-India) and wa(Pablo Saratxaga).

=============
Version 2.2.2
=============

	* Fix gnome-session hanging when multiple apps request
	  interaction (Arvind)

Translations

	* Ankur Group (bn), Danilo Å egan (sr), FSF_India (ml)
	  Guntupalli Karunakar (hi), Miloslav Trmac (cs) and
	  Sanlig Badral (mn).

=============
Version 2.2.1
=============

	* Honour the --disable-schemas-install configure option (Julio Merino)
	* Support themeing of the icons on the splash screen (Havoc Pennington)

Translations

	* Dmitry G. Mastrukov, Fatih Demir, Metin Amiroff, Miloslav Trmac,
	  Mohammad Damt, Pramod, Roozbeh Pournader, Takeshi AIHANA and
	  Vincent van Adrighem.

===============
Version 2.2.0.2
===============

	* Build fix (Thomas Vander Stichele)
	* Mark a couple of strings for translation (Yuriy Syrota)

Translations

	* Abel Cheung, Alessio Frusciante, Alexander Shopov, Andras Timar,
	  Artis Trops, Bayarsaihan, Christian Neumair, Christian Rose,
	  Christophe Fergeau, Daniel Yacob, Deep_Dark, Dmitry G. Mastrukov,
	  Duarte Loreto, Evandro Fernandes Giovanini, Jordi Mallach,
	  Kang Jeong-Hee, Kjartan Maraas, Kostas Papadimas, Ole Laursen,
	  Pablo Gonzalo del Campo, Pauli Virtanen, Sanlig Badral,
	  Stanislav Visnovsky, Vincent van Adrighem and Zbigniew Chyla.

===============
Version 2.2.0.1
===============

	* Cool new splash screen (Jakub Steiner)

Translations

	* Dmitry G. Mastrukov.

=============
Version 2.2.0
=============

Translations

	* Daniel Yacob, Deep_Dark, Dmitry G. Mastrukov, Fatih Demir,
	  Kang Jeong-Hee, Pablo Gonzalo del Campo and Pablo Saratxaga.

==============
Version 2.1.90
==============

Session Manager

	* Up the slow client purge delay to 2 minutes (Mark)
	* Fix GsmProtocol initialisation problem (Mark)

Session Manager Configuration Dialog

	* Ensure child dialogs are kept above the parent (Satyajit)

Translations

	* Abel Cheung, Alexander Shopov, Artis Trops, German Poo Caaman~o, Jordi
	  Mallach, Pablo Saratxaga, Stanislav Visnovsky and Zbigniew Chyla.

=============
Version 2.1.5
=============

Miscellanous

	* Add startup notification flag to .desktop files (Dennis Cranston)

Translations

	* Christian Neumair, Christophe Merlet, Hasbullah Bin Pit,
	  Kostas Papadimas and Vincent van Adrighem.

=============
Version 2.1.4
=============

Session Manager

	* Unref the GConfCliet (Brian Cameron)
	* Add X-GNOME-BUGZILLA to the .desktop files (Fernando Herrera)

Miscellanous

	* Fixup manpages (Christian Marillat, Mark, Alex Duggan)

Translations

	* Andras Timar, Christian Rose, Evandro Fernandes Giovanini,
	  He Qiangqiang, Kjartan Maraas, Marius Andreiana,
	  Maxim Dzumanenko, Ole Laursen and Pauli Virtanen.

=============
Version 2.1.3
=============

	* Update application icons map (Evandro Fernandes Giovanini)

Translations

	* Christian Neumair, Christopher R. Gabriel, Dmitry G. Mastrukov,
	  Fatih Demir, Kjartan Maraas, Ole Laursen, TÃµivo LeedjÃ¤rv,
	  Vincent van Adrighem and Yanko Kaneti.

=============
Version 2.1.2
=============

	* Fixup Xinerama aware logout iris code (Mark)

Translations

	* Andras Timar, Daniel Yacob, Dmitry G. Mastrukov and
	  Kjartan Maraas.

=============
Version 2.1.1
=============

	* Allow splash screen to be configured (Rodney Dawes)
	* Use intltool to merge schmemas translations (Mark)

=============
Version 2.1.0
=============

	* Use metacity for the window manager by default (Jacob)
	* Multiscreen support for logout iris and dialog (Mark)
	* Use "Order" instead of "Priority" in the capplet (Mark)

Translations

	* German Poo-Caamaño, Gustavo Noronha Silva, Marius
	  Andreiana and Naba Kumar.

=============
Version 2.0.8
=============

Session Manager

	* Don't grab the Xserver on logout with ally (Padraig)
	* Fix bug with splash screen layout (Jacob)
	* Start esd if enable_esd is set event if enable_sounds isn't (Mark)

Configuration Dialog

	* Don't allow setting negative values for client priority (Mark)
	* Don't ask to confirm saving after changes have been applied (Mark)
	* Fix bogus warning about session name already existing (Matt Brubeck)

Translations

	* Abel Cheung, Anurag Seetha, Gil 'Dolfin' Osher, He Qiangqiang,
	  Michal Bukovjan and Pablo Gonzalo del Campo.

=============
Version 2.0.7
=============

Translations

	* He Qiangqiang.

=============
Version 2.0.6
=============

Session Management Proxy

	* Define NI_MAXHOST if not defined (Ryan Lovett)

Miscellanous

	* Fixup the .desktop files (Ross Burton)

Translations

	* Andras Timar, Christian Meyer, Duarte Loreto, Marius
	  Andreiana, Peteris Krisjanis, Roozbeh Pournader and
	  Simos Xenitellis.

=============
Version 2.0.5
=============

Session Management Proxy

	* Fix crashing when starting emacs, #89968 (Mark)

=============
Version 2.0.4
=============

Session Manager

	* Amend a Global save to Both if user selects save session (Mark)
	* Capplet saving state fix (Stephen Browne)

Translations

	* Gustavo Noronha Silva, Manuel Borchers, Tõivo Leedjärv and
	  Vincent van Adrighem .

=============
Version 2.0.3
=============

Session Manager

	* Re-write the splash screen to not use the canvas (Michael)
	* Fix crash with logout dialog (Jacob)
	* Make file selector when editing startup programs modal (Federico)
	* Increased initial client timeout to 30 seconds (Arvind Samptur)

Miscellanous

	* Remove redundant man pages (Mark)

Translations

	* Changwoo Ryu, Dmitry G. Mastrukov, Kjartan Maraas, Pablo Saratxaga,
	  Pauli Virtanen, Stanislav Visnovsky, Takayuki KUSANO, Yanko Kaneti and
	  Zbigniew Chyla.

=============
Version 2.0.2
=============

Session Manager

	* Play login and logout sounds (Jacob)
	* Start gnome-settings-daemon using bonobo-activation (Jacob)
	* Cruft removal from configuration dialog (Mark)
	* Remove gnome-login-check (Jacob)
	* Use absolute path for rsh (Mark)
	* Set focus on logout dialog explicitly (Jacob)
	* Quit configuration dialog on SM die signal (Jacob)
	* UI consistency string changes (Glynn)
	* Finish drawing iris properly (Alvaro Lopez Ortega)
	* Support alternate locations of esd and gconf-sanity-check (Brian Cameron)
	* Configuration dialog UI cleanup (Stephen Browne)
	

X11R5 Session Management Proxy

	* Don't link against all of gnome-libs (Jacob)
	* Support CDE app's broken reliance on non-standard root window properties (Mark)
	* Use XGetWMName instead of XFetchName for WM_NAME (Mark)
	* Various buffer overflow precautions (Mark)
	* Refuse to use a world writeable directory (Mark)
	* Loosen constraint very vaguely imposed by ICCCM (Mark.

Miscellanous

	* Configure checks updates (Jacob, Mark, Brian Cameron)
	* Fix various compile warnings (Mark)
	* Add encoding field to .desktop files (George)

Translations

	* Abel Cheung, Carlos Perello Marin, Changwoo Ryu, Christian Rose,
	  Christophe Fergeau, Daniel Yacob, Dmitry G. Mastrukov, Hasbullah Bin Pit,
          Jordi Mallach, Kjartan Maraas, Ole Laursen, Peteris Krisjanis, Stanislav
	  Visnovsky, Tõivo Leedjärv, Vincent van Adrighem, Yanko Kaneti and
	  Zbigniew Chyla.

=============
Version 2.0.1
=============

Translations

	* Jordi Mallach, Takayuki KUSANO and Yanko Kaneti.

=============
Version 2.0.0
=============

gnome-session

	* Run gconf-sanity-check at login (Havoc)
	* Fix DiscardCommand usage with autosave  (Jacob, Gustavo Giráldez)
	* Handle InteractRequests in phase 2 correctly (Jacob)
	* Use correct locale directory (HideToshi Tajima)
	* Fix crash on session save (Jacob)

Translations

	* Carlos Perelló Marín, Christophe Merlet, Dmitry G.  Mastrukov,
	  Hasbullah Bin Pit and Pablo Saratxaga.

==============
Version 1.5.21
==============

gnome-session

	* Allow InteractRequests in phase 2 (Jacob)
	* Made help button point at user guide (Satyajit Kanungo)

Translations

	* Carlos Perelló Marín, Christian Rose, Duarte Loreto, George Lebl,
	  Jesus Bravo Alvarez, Tõivo Leedjärv and Vincent van Adrighem.

==============
Version 1.5.20
==============

gnome-session

	* Add help button which points to soon-to-be-added docs (Satyajit Kanungo)
	* Use DiscardCommand properly so as to not leak data (Mark)
	* Revert logout dialog back to OK_CANCEL (Mark)
	* Kill libice check program (Jacob)
	* Use the Default session if session name is empty (Jacob)
	* Fix logout shading not dissapearing on Solaris (Jacob)
	* Make 'Order' combo in Session Properties work (Jacob)

smproxy

	* Add workaround for broken CDE applications (Mark)

Translations

	* Abel Cheung, Changwoo Ryu, Dmitry G. Mastrukov, Ivan Stojmirov,
	  Kjartan Maraas, Naba Kumar, Ole Laursen, Pablo Saratxaga,
	  Pauli Virtanen, Stanislav Visnovsky, Szabolcs Ban, Vlad Harchev
	  and Zbigniew Chyla.

==============
Version 1.5.19
==============

gnome-session

	* Use GConf for autosave, logout prompt, splash screen (Jacob)
	* Listen for tcp settings (Jacob)
	* Remove 'Browse Current Session' button from dialog (Jacob)
	* Add some funky new schemas (Jacob)
	* Clean up ice code to make it work (Jacob)
	* Clean up session manager code to make it work (Jacob)
	* Add some msm cut and paste (Jacob)

misc
	
	* Build fixes (Jacob)
	
Translations

	* Stanislav Visnovsky, Ole Laursen, Pablo Saratxaga,
	  Abel Cheung, Changwoo Ryu, Zbigniew Chyla, Kjartan Maraas,
	  Gediminas Paulauskas, , Christophe Fergeau, Duarte Loreto,
	  Takayuki KUSANO.

==============
Version 1.5.18
==============

gnome-session

	* Make logout dialog keyboard accessible (Glynn, Jacob)
	* Don't allow more than one instance of gnome-session (Tom)

Translations

	* Ilmar Kerm, Benedikt Roth, Zbigniew Chyla, Ole Laursen,
	  Fatih Demir, Pablo Saratxga.

==============
Version 1.5.17
==============

gnome-session

	* Change logout buttons (Mark, Dennis M. Cranston, Murray Cumming)
	* Update splash screen icon table (Mark)
	* Accessibility patch (Jacob)

Misc

	* Update library requirements (Mark)

Translations

	* Abel Cheung, Changwoo Ryu, Christophe Merlet, Kjartan Maraas,
	  Pauli Virtanen, Simos Xenitellis, Vincent van Adrighem and
	  Zbigniew Chyla.

==============
Version 1.5.16
==============

	* Port from CList to TreeView (Jacob)
	* Update gnome-settings-daemon name (Jonathon)
	* Fix splash screen font description (Changwoo Ryu)

Translations

	* Valek Filippov, Hasbullah Bin Pit, Abel Cheung,
	  Stanislav Visnovsky, Changwoo Ryu, Ole Laursen and
	  Zbigniew Chyla.

==============
Version 1.5.15
==============

	* don't include capplet-widget.h (Mark)

==============
Version 1.5.14
==============

	* Port of session-properties-capplet to 2.0 (Lauris)
	* Fix session-properties crash, #76888 (Mark)
	* Fix invalid errno assumptions, #52781 (Mark)
	* Ask nautilus not to open a window at startup (Frederic Crozat)

Translations

	* Abel Cheung, Gediminas Paulauskas, Kjartan Maraas and
	  Tõivo Leedjärv

==============
Version 1.5.13
==============

	* Various porting to non-deprecated apis (Mark)
	* Correctly install capplet .desktop files (Arvind)
	* Port GsmSession, GsmProtocol and GsmClient to GObject (Mark)
	* Use glib-mkenums to build enum GTypes for signals (Mark)
	* Built sources build fix (Jacob)
	* Copy pango XGrabServer workaround from metacity (Mark, Owen)
	* Fix logout dialog crash (Mark)

==============
Version 1.5.12
==============

	* new spec file (Chris Chabot)
	* link explicitly against X if pango doesn't (Shivram U)
	* make everything build without warnings (Mark)
	* update for panel executable change (Glynn)

Translations

	* Changwoo Ryu, Christian Meyer, Christopher R. Gabriel,
	  Duarte Loreto, Fatih Demir, Kjartan Maraas, Ole Laursen,
	  Pauli Virtanen, Roy-Magne Mo, Stanislav Visnovsky, Szabolcs
	  Ban, Tõivo Leedjärv and Valek Filippov.

==============
Version 1.5.11
==============

	* make reboot/halt command configurable (Laszlo Peter)
	* remove irrelevant manpages (Mark)
	* default.in fix (Jonathon)

Translations

	* Christian Rose, Zbigniew Chyla, Hasbullah Bin Pit
	and Wang Jian

==============
Version 1.5.10
==============

	* removal of gtk_widget_(push|pop)_visual calls (Kjartan)
	* more default session work (Jacob)
	* upd session capplet .desktop file (Seth)

Translations

	* Tõivo Leedjärv and Christophe Merlet.

=============
Version 1.5.9
=============

        * split from gnome-session from gnome-core (Mark)
	* default session updates (Jonathan)

=============
Version 1.5.8
=============

Panel
	* Plug an atrocious amount of leaks (Mark)
	* Load applets in an idle handler (Mark)
	* Use the correct repository ID for applets (Mark)
	* Use the all the applet moniker items (Mark)
	* Lots more keynav work (Padraig)
	* Menu properties saving to gconf (Mark)
	* Solaris mis-alignment bugfix (Mark)
	* Use bonobo-activation per-display registration (Mark)
	* Menu Panel clock translation fixage (Takayuki KUSANO)
	* Event stretching cleanup (Mark)
	* struts hints fixing (Havoc)
	* Applet saving fixes (Mark)
	* Fix applet popup menu (Richard Hult)
	* Run dialog box fixes (Mark, George)
	* .desktop file charset conversion fix (Gediminas Paulauskas)
	* Lots of menu work (George)
	* remove cruft from Panel idl (Mark)
	* fix build (Jacob)

Panel Applet Library

	* generic applet flags api (Mark)
	* use GConfClient to kill gconf warnings (Mark, Gediminas)
	* allow PanelApplet to be derived from (Mark)
	* item handler for initial size, orient and background (Mark)
	* applet developer's testing utility (Mark)
	* panel_applet_get_background implementation (George, Mark)
	* plug leak (Mark)
	* applet focus (Padraig)
	* shift+F10 applet menu popup (Padraig)
	* kill getExpandFlags idl (Mark)
	* build fix (Jacob)

Applets
	* tasklist and pager prefs dialog button fix (Jorn Baayen)
	* updates for libpanel-applet changes (Mark)
	* initial applets size and orient fixage (George)

Docs
	* tasklist, pager, mailcheck and clock docs (John Fleck)
	* man pages (Christian Marillat, Kjartan)

Misc
	* remove gnome-terminal from build (Mark)
	* .desktop files fixing (Mark)
	* distcheck fixes (Mark)
	* use intltool to translate .desktop files (Gediminas)
	* plug libgnome-desktop leaks (Mark)
	* gsm build fix (Jacob)
	* logout dialog box usability fix (Gediminas)
	* gnome-login-check dns simplification (Mark)
	* include config.h in translatable files (Kjartan)

Translations
	* Gediminas Paulauskas, Duarte Loreto, Kjartan Maraas, Ole Laursen,
	  Pauli Virtanen, Hasbullah Bin Pit, Takayuki KUSANO, Changwoo Ryu
	  and Duarte Loreto.

=============
Version 1.5.7
=============

Applets
        * pager docoumentation setup (John Fleck)
        * applet .directory files removal (Mark)
        * fish about dialog bugfix (Mark)
        * usability re-naming (Seth)
        * desktop file culling and fixing (Seth)


Panel
        * launcher saving bugfixes (Mark)
        * Lots of excellant panel keynav work (Padraig)
        * make glade/intltool work together (Darin, Mark)
        * make run dialog global key work again (George)
        * authors list update (George)
        * re-enable applet dnd (George)
        * fix build breakage (Glynn)

Misc
        * ditem error handling improvement (George)
        * gsm 'double delete' bugfix (Kjartan)

=============
Version 1.5.6
=============

	* rationalise gconf source autoconf check (Mark)
	* workaround deprecated gtk+ enums usage (Mark)

=============
Version 1.5.5
=============

gnome-core/applets -
	* Make time/date centered for Clock applet [Richard]
	* Usability applet renaming [Seth]
	* Misc build fixes [Glynn]

gnome-core/gnome-desktop -
	* Misc fixes [George, Stephen]

gnome-core/icons -
	* 7 new icons! Can you *see* the love? [Seth, Jakub]

gnome-core/libpanel_applet -
	* Misc fixes [Mark]
	* Build fixes [Glynn]

gnome-core/panel -
	* ButtonWidget now inherits from GtkButton [Padraig]
	* Implement support for popup menus using 'Shift+F10' [Padraig]
	* Remove last trace of tiles like ever [George]
	* Draw focus frame around launchers [George]
	* Implement retrun focus from a child widget using
	  'Ctrl+Tab' [Padraig]
	* Port status and swallow applets to use libwnck [George]
	* Give panel prelight colour when panel has focus [Padraig]
	* Usability rewording and new icons [Seth]
	* Save the world with sensible context menus [Seth]
	* Fix up default panel schemas [Glynn, Seth]
	* Remove caveat dialog [George]
	* Give focus to launcher instead of hidebuttons first [Padraig]
	* Lower button displacement [Anders]
	* Fix panel boundaries [George]
	* Synchronize panel hints with GNOME 1.4 [Roy-Magne Mo]
	* Implement keyboard move functionality of
	  ButtonWidget [Padraig]
	* De-sensitize basep widget when hidden [George]
	* Misc fixes [Anders, George, Glynn, Padraig]
	* Cleanage of severe cruft [George, Padraig]
	* Much panel fear [George]

gnome-core/docs -
	* We now have documentation! [John]
	* Build fixes [Mark]

gnome-core/po -
	* Translations [Christian Rose, Hasbullah Bin Pit,
	  Kjartan Maraas, Marius Andreiana, Peteris Krisjanis,
	  Roy-Magne Mo, Stanislav Visnovsky, Takayuki Kusano]
	* Misc fixes [Glynn]

gnome-core/misc -
	* Build fixes [Glynn]

gnome-core/gnome-terminal -
	* Misc fixes [Owen]
	* Build fixes [Darin]
	* Typographical error [Kjartan]

=============
Version 1.5.4
=============

* Panel:
        + lots of gconf work
                + Session handling proposal (Alex, Glynn, George, others?)
                + profiles (Glynn)
                + default panels/applets (Glynn)
                + panels saving/loading (Glynn)
                + applets/menus etc. saving/loading (Mark)
                + convience methods (Glynn, Mark)
        + kill gnome-run button applet (Glynn)
        + libart -> gdk-pixbuf for button rendering (Alex)
        + porting properties capplet (Stephen)
        + new ditem api usage (George)
        + launchers/vfolders work (George, Seth)
        + kill favorites menu (George)
        + use gtk image menu items (George)
        + port to libwnck (George)
        + menu fixage (Anders)
        + removal of deprecated function/widgets (George)
        + Menu work (George)
        + winhints updates (George, Havoc, Alex, Mark)
        + foobar pixmap scaling (Chris Phelps)
        + foobar clock nicifying (Dennis M. Cranston, George)
        + cruft removal (Mark, George, Glynn)
        + CORBA namespace fixage (Mark)
        + make applet background colors 16 bit (Alex)
        + dialog box fixage (Gediminas Paulauskas)
        + panel side use of applet item handler (Mark)
        + solaris distribution menu (Stephen)
        + screen shooter updates (Anders)
        + applet stabilty fixes (Anders)
        + gegl invaders ... *cough* (George)
        + panel-widget and button-widget cleanup (Alex)
        + hidebutton keyborad navigation (Padraig O'Briain)
        + applet pixmap background implemenation (Mark)
        + gtk accelerator parsing updates (Alex)

* Panel Applet Library

        + shlib applet macro (Mark)
        + move to GNOME_Vertigo CORBA namespace (Mark)
        + kill session management (Mark)
        + make applet background colors 16 bit (Alex)
        + item handler implementation (Mark)
        + runtime schema<->key association for applets prefs (Mark)
        + gconf convienence functions (Mark)
        + gclosurization (George)
        + removal of gnome_program_init (George)
        + applet pixmap bacgrounds (Mark)
        + expose panel_applet_gconf_get_full_key (Alex)

* Applets

        + update for panel-applet api changes (Mark)
        + fish preferences/schema/gconf work (Mark)
        + clock utf-8 fixage (Richard Hult)
        + clock + tasklist background (Alex)
        + mailcheck port (Kevin Valdersloot)
        + tasklist + pager properties/gconf work (Alex)

* Build:
        + intl dir removal (Gediminas Paulauskas)
        + libwnck dependancy (George, Glynn)
        + libpng check (Anders, Glynn)
        + file renaming (Mark)
        + clean up Glynn's drool (Darin)
        + kill -I$(includedir) (Frank Belew)

* Icons
        + time/date icons (Dennis M. Cranston)
        + hand removal from panel icon (Seth)

* ditem library

        + standard compliance (George)
        + new api (George)
        + i18n fixage (Gediminas Paulauskas)
        + kde icons (George)
        + g_spawn fixage (George, Glynn)
        + distcheck fixes (Mark, Glynn)

* Misc
        + gnome-terminal fixage (Owen)
        + .directory files work (Seth)
        + gsm gconf work (Richard Hestilow)

* Other Contributors

        + Miles Lane, Robert Mibus.

=============
Version 1.5.3
=============

gnome-core/applets -
	+ New tasklist using libwnck [Alex]
	+ Updates for new API [Mark]
	+ Build fixes [Mark]

gnome-core/gnome-desktop -
	+ GnomeVFS fixes [Alex]
	+ Add pc file [Owen]
	+ Encoding fix [Seth]

gnome-core/gsm -
	+ Prefer Metacity to Enlightenment [Havoc]
	+ Save world yet again with .gnome2 fixes [Malcolm]
	+ Fix order of initialization [Malcolm]
	+ Use PangoFontDesc with splash screen [Glynn]

gnome-core/panel -
	+ Add getExpandFlags method to IDL [Alex]
	+ Add saveYourself method to IDL [Mark]
	+ Remove/Replaced all AppletShell IDL methods [Mark]

=============
Version 1.5.2
=============

        + new pager applet using libwnck (Alex)
        + .desktop file updates and additions (Seth)
        + gnome-hint is now a GtkDialog (Anders)
        + session manager gtk fixes (Owen)
        + gtk_idle_add -> g_idle_add stackframes saving (Mark)
        + applet button press propogation bug fix (Alex)
        + continue switching to new applet design (Mark)
        + schema file rename (Glynn)
        + POTFILES redo (Mark)

=============
Version 1.5.1
=============

	Initial port to GNOME 2.0.

======================
Versions Predating Git
======================

In GNOME 49, we removed various repo metadata files (such as ChangeLog)
that were used before the transition to Git. In case these files are
useful for some archaeological purpose, this note describes where to
find them. Commit 6427bf718585abd5459f052554bdb1e7363efa6c contains all
of these files in their final form.

- AUTHORS (last updated Sept. 2010)
- ChangeLog (Sept. 2010)
- ChangeLog.pre-git (April 2009)
- ChangeLog.20080310 (March 2008)
- ChangeLog.20020212 (Feb. 2002)
- po/Changelog.pre-git (April 2009)
